      program read_co2
      PARAMETER (L=50,LP1=L+1,LP2=LP1*LP1)
      DIMENSION SGTMP(LP1,2),CO21D(L,6),CO22D(LP1,LP1,6)
      DIMENSION CO21D3(LP1,6),CO21D7(LP1,6)
      DIMENSION RSZE(3),DATA2(LP2)
      DIMENSION SGTMPRES(LP1,2),CO21DRES(L,6),CO22DRES(LP1,LP1,6)
      DIMENSION CO21D3RES(LP1,6),CO21D7RES(LP1,6)
      DIMENSION DATA2RES(LP2)
      INTEGER   KKREC1,KKREC2,KKREC3,KKREC4,KKREC5
      REAL      co2x1Fac,co2x2Fac,co2x4Fac

C         CO251    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO258    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT51    =  FIRST TEMPERATURE DERIVATIVE OF CO251
C         CDT58    =  FIRST TEMPERATURE DERIVATIVE OF CO258
C         C2D51    =  SECOND TEMPERATURE DERIVATIVE OF CO251
C         C2D58    =  SECOND TEMPERATURE DERIVATIVE OF CO251
C         CO2M51   =  TRANSMISSION FCTNS FOR T0 FOR ADJACENT PRESSURE
C                        LEVELS, WITH NO PRESSURE QUADRATURE. USED FOR
C                        NEARBY LAYER COMPUTATIONS. P(SFC)=1013.25 MB
C         CO2M58   =  SAME AS CO2M51,WITH P(SFC)= 810 MB
C         CDTM51   =  FIRST TEMPERATURE DERIVATIVE OF CO2M51
C         CDTM58   =  FIRST TEMPERATURE DERIVATIVE OF CO2M58
C         C2DM51   =  SECOND TEMPERATURE DERIVATIVE OF CO2M51
C         C2DM58   =  SECOND TEMPERATURE DERIVATIVE OF CO2M58
C         STEMP    =  STANDARD TEMPERATURES FOR MODEL PRESSURE LEVEL
C                        STRUCTURE WITH P(SFC)=1013.25 MB
C         GTEMP    =  WEIGHTING FUNCTION FOR MODEL PRESSURE LEVEL
C                        STRUCTURE WITH P(SFC)=1013.25 MB.
C-----       THE FOLLOWING ARE STILL IN BLOCK DATA
C         B0       =  TEMP. COEFFICIENT USED FOR CO2 TRANS. FCTN.
C                        CORRECTION FOR T(K). (SEE REF. 4 AND BD3)
C         B1       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C         B2       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C         B3       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C
      COMMON/CO2BD366/CO25166(LP1,LP1),CO25866(LP1,LP1),
     1 CDT5166(LP1,LP1),CDT5866(LP1,LP1),C2D5166(LP1,LP1),
     2 C2D5866(LP1,LP1),CO2M5166(L),CO2M5866(L),CDTM5166(L),CDTM5866(L),
     3 C2DM5166(L),C2DM5866(L),STEMP66(LP1),GTEMP66(LP1)
     
      COMMON/CO2BD365/CO25165(LP1,LP1),CO25865(LP1,LP1),
     1 CDT5165(LP1,LP1),CDT5865(LP1,LP1),C2D5165(LP1,LP1),
     2 C2D5865(LP1,LP1),CO2M5165(L),CO2M5865(L),CDTM5165(L),CDTM5865(L),
     3 C2DM5165(L),C2DM5865(L),STEMP65(LP1),GTEMP65(LP1)
     
      COMMON/CO2BD364/CO25164(LP1,LP1),CO25864(LP1,LP1),
     1 CDT5164(LP1,LP1),CDT5864(LP1,LP1),C2D5164(LP1,LP1),
     2 C2D5864(LP1,LP1),CO2M5164(L),CO2M5864(L),CDTM5164(L),CDTM5864(L),
     3 C2DM5164(L),C2DM5864(L),STEMP64(LP1),GTEMP64(LP1)
      
      COMMON/CO2BD3RES/CO251RES(LP1,LP1),CO258RES(LP1,LP1),
     1 CDT51RES(LP1,LP1),CDT58RES(LP1,LP1),C2D51RES(LP1,LP1),
     2 C2D58RES(LP1,LP1),CO2M51RES(L),CO2M58RES(L),CDTM51RES(L),
     3 CDTM58RES(L),C2DM51RES(L),C2DM58RES(L),STEMPRES(LP1),
     4 GTEMPRES(LP1)     
    
C
C***COMMON CO2BD2 CONTAINS CO2 TRANSMISSION FUNCTIONS AND TEMPERATURE
C   AND PRESSURE DERIVATIVES FOR THE 560-670 CM-1 PART OF THE 15 UM
C   CO2 BAND.  THESE DATA ARE IN BLOCK DATA BD2.
C     FOR THE 560-670 CM-1 BAND,ONLY THE (1,I) VALUES ARE USED , SINCE
C     THESE ARE USED FOR CTS COMPUTATIONS.
C         CO231    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO238    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT31    =  FIRST TEMPERATURE DERIVATIVE OF CO231
C         CDT38    =  FIRST TEMPERATURE DERIVATIVE OF CO238
C         C2D31    =  SECOND TEMPERATURE DERIVATIVE OF CO231
C         C2D38    =  SECOND TEMPERATURE DERIVATIVE OF CO231
C
      COMMON / CO2BD266 / CO23166(LP1),CO23866(LP1),CDT3166(LP1),
     1 CDT3866(LP1),C2D3166(LP1),C2D3866(LP1)
     
      COMMON / CO2BD265 / CO23165(LP1),CO23865(LP1),CDT3165(LP1),
     1 CDT3865(LP1),C2D3165(LP1),C2D3865(LP1)
     
      COMMON / CO2BD264 / CO23164(LP1),CO23864(LP1),CDT3164(LP1),
     1 CDT3864(LP1),C2D3164(LP1),C2D3864(LP1)
     
      COMMON / CO2BD2RES / CO231RES(LP1),CO238RES(LP1),CDT31RES(LP1),
     1 CDT38RES(LP1),C2D31RES(LP1),C2D38RES(LP1)
C
C***COMMON CO2BD4 CONTAINS CO2 TRANSMISSION FUNCTIONS AND TEMPERATURE
C   AND PRESSURE DERIVATIVES FOR THE 670-800 CM-1 PART OF THE 15 UM
C   CO2 BAND.  THESE DATA ARE IN BLOCK DATA BD4.
C         CO271    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO278    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT71    =  FIRST TEMPERATURE DERIVATIVE OF CO271
C         CDT78    =  FIRST TEMPERATURE DERIVATIVE OF CO278
C         C2D71    =  SECOND TEMPERATURE DERIVATIVE OF CO271
C         C2D78    =  SECOND TEMPERATURE DERIVATIVE OF CO271
C
      COMMON / CO2BD466 / CO27166(LP1),CO27866(LP1),CDT7166(LP1),
     1 CDT7866(LP1),C2D7166(LP1),C2D7866(LP1)
     
      COMMON / CO2BD465 / CO27165(LP1),CO27865(LP1),CDT7165(LP1),
     1 CDT7865(LP1),C2D7165(LP1),C2D7865(LP1)
     
      COMMON / CO2BD464 / CO27164(LP1),CO27864(LP1),CDT7164(LP1),
     1 CDT7864(LP1),C2D7164(LP1),C2D7864(LP1)     
     
      COMMON / CO2BD4RES / CO271RES(LP1),CO278RES(LP1),CDT71RES(LP1),
     1 CDT78RES(LP1),C2D71RES(LP1),C2D78RES(LP1)
     
C
C *****THE FOLLOWING NOT USED IN CURRENT VERSION OF RADIATION *******
C
C --COMMON CO2BD5 CONTAINS CO2 TRANSMISSION FUNCTIONS FOR THE 2270-
C                                  2380 PART OF THE 4.3 UM CO2 BAND.
C              THESE DATA ARE IN BLOCK DATA BD5.
C         CO211    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                        WITH P(SFC)=1013.25 MB
C         CO218    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C
      COMMON / CO2BD566 / CO21166(LP1),CO21866(LP1)
      
      COMMON / CO2BD565 / CO21165(LP1),CO21865(LP1)
      
      COMMON / CO2BD565 / CO21164(LP1),CO21864(LP1)
      
C
C ***** THE ABOVE NOT USED IN CURRENT VERSION OF RADIATION ***********
C
C====>   BEGIN HERE TO GET CONSTANTS FOR RADIATION PACKAGE

Cexpl
	open(unit=66,file='1xco2_L50.dat',form='unformatted')
	open(unit=65,file='2xco2_L50.dat',form='unformatted')
c	open(unit=64,form='unformatted')

        OPEN(UNIT=71,FILE='co2_L50_2020.dat',form='unformatted')

C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..1CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 11 KK=1,2
      READ(66)(SGTMP(I,KK),I=1,RSIZE)
   11 CONTINUE

C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 16 KK=1,6
      READ(66)(CO21D(I,KK),I=1,RSIZE)
     
   16 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 21 KK=1,6
      READ(66)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5674 I1=1,LP1
      DO 5674 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5674 CONTINUE
   21 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 26 KK=1,6
      READ(66)(CO21D3(I,KK),I=1,RSIZE)
     
   26 CONTINUE
C
C-----------------------------------------------------------------
      DO 31 KK=1,6
      READ(66)(CO21D7(I,KK),I=1,RSIZE)
      
   31 CONTINUE
C
C-----------------------------------------------------------------

      DO 36 K=1,LP1
        STEMP66(K) = SGTMP(K,1)
        GTEMP66(K) = SGTMP(K,2)
   36 CONTINUE
      DO 41 K=1,L
        CDTM5166(K) = CO21D(K,1)
        CO2M5166(K) = CO21D(K,2)
        C2DM5166(K) = CO21D(K,3)
        CDTM5866(K) = CO21D(K,4)
        CO2M5866(K) = CO21D(K,5)
        C2DM5866(K) = CO21D(K,6)
   41 CONTINUE
      DO 46 J=1,LP1
       DO 46 I=1,LP1
        CDT5166(I,J) = CO22D(I,J,1)
        CO25166(I,J) = CO22D(I,J,2)
        C2D5166(I,J) = CO22D(I,J,3)
        CDT5866(I,J) = CO22D(I,J,4)
        CO25866(I,J) = CO22D(I,J,5)
        C2D5866(I,J) = CO22D(I,J,6)
   46 CONTINUE
      DO 51 K=1,LP1
        CDT3166(K) = CO21D3(K,1)
        CO23166(K) = CO21D3(K,2)
        C2D3166(K) = CO21D3(K,3)
        CDT3866(K) = CO21D3(K,4)
        CO23866(K) = CO21D3(K,5)
        C2D3866(K) = CO21D3(K,6)
   51 CONTINUE
      DO 56 K=1,LP1
        CDT7166(K) = CO21D7(K,1)
        CO27166(K) = CO21D7(K,2)
        C2D7166(K) = CO21D7(K,3)
        CDT7866(K) = CO21D7(K,4)
        CO27866(K) = CO21D7(K,5)
        C2D7866(K) = CO21D7(K,6)
   56 CONTINUE	
   
   
C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..2CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 12 KK=1,2
      READ(65)(SGTMP(I,KK),I=1,RSIZE)
      
   12 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 17 KK=1,6
      READ(65)(CO21D(I,KK),I=1,RSIZE)
     
   17 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 22 KK=1,6
      READ(65)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5675 I1=1,LP1
      DO 5675 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5675 CONTINUE
   22 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 27 KK=1,6
      READ(65)(CO21D3(I,KK),I=1,RSIZE)
     
   27 CONTINUE
C
C-----------------------------------------------------------------
      DO 32 KK=1,6
      READ(65)(CO21D7(I,KK),I=1,RSIZE)
      
   32 CONTINUE
C
C-----------------------------------------------------------------

      DO 37 K=1,LP1
        STEMP65(K) = SGTMP(K,1)
        GTEMP65(K) = SGTMP(K,2)
   37 CONTINUE
      DO 42 K=1,L
        CDTM5165(K) = CO21D(K,1)
        CO2M5165(K) = CO21D(K,2)
        C2DM5165(K) = CO21D(K,3)
        CDTM5865(K) = CO21D(K,4)
        CO2M5865(K) = CO21D(K,5)
        C2DM5865(K) = CO21D(K,6)
   42 CONTINUE
      DO 47 J=1,LP1
       DO 47 I=1,LP1
        CDT5165(I,J) = CO22D(I,J,1)
        CO25165(I,J) = CO22D(I,J,2)
        C2D5165(I,J) = CO22D(I,J,3)
        CDT5865(I,J) = CO22D(I,J,4)
        CO25865(I,J) = CO22D(I,J,5)
        C2D5865(I,J) = CO22D(I,J,6)
   47 CONTINUE
      DO 52 K=1,LP1
        CDT3165(K) = CO21D3(K,1)
        CO23165(K) = CO21D3(K,2)
        C2D3165(K) = CO21D3(K,3)
        CDT3865(K) = CO21D3(K,4)
        CO23865(K) = CO21D3(K,5)
        C2D3865(K) = CO21D3(K,6)
   52 CONTINUE
      DO 57 K=1,LP1
        CDT7165(K) = CO21D7(K,1)
        CO27165(K) = CO21D7(K,2)
        C2D7165(K) = CO21D7(K,3)
        CDT7865(K) = CO21D7(K,4)
        CO27865(K) = CO21D7(K,5)
        C2D7865(K) = CO21D7(K,6)
   57 CONTINUE	    
   
C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..2CO2..
C....     AND CONVERT TO CYBER WORDS
c
c      RSZE(1) = LP1
c      RSZE(2) = L
c      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
c      RSIZE = RSZE(1)
c      DO 10 KK=1,2
c      READ(64)(SGTMP(I,KK),I=1,RSIZE)
c      
c   10 CONTINUE
C
C-----------------------------------------------------------------
c      RSIZE = RSZE(2)
c      DO 15 KK=1,6
c      READ(64)(CO21D(I,KK),I=1,RSIZE)
c     
c   15 CONTINUE
C
C-----------------------------------------------------------------
c      RSIZE = RSZE(3)
c      DO 20 KK=1,6
c      READ(64)(DATA2(I),I=1,RSIZE)
c
C
c      N=0
c      DO 5673 I1=1,LP1
c      DO 5673 I2=1,LP1
c      N=N+1
c      CO22D(I1,I2,KK)=DATA2(N)
c 5673 CONTINUE
c   20 CONTINUE
C
C-----------------------------------------------------------------
c      RSIZE = RSZE(1)
c      DO 25 KK=1,6
c      READ(64)(CO21D3(I,KK),I=1,RSIZE)
c     
c   25 CONTINUE
C
C-----------------------------------------------------------------
c      DO 30 KK=1,6
c      READ(64)(CO21D7(I,KK),I=1,RSIZE)
c      
c   30 CONTINUE
C
C-----------------------------------------------------------------
c
c      DO 35 K=1,LP1
c        STEMP64(K) = SGTMP(K,1)
c        GTEMP64(K) = SGTMP(K,2)
c   35 CONTINUE
c      DO 40 K=1,L
c        CDTM5164(K) = CO21D(K,1)
c        CO2M5164(K) = CO21D(K,2)
c        C2DM5164(K) = CO21D(K,3)
c        CDTM5864(K) = CO21D(K,4)
c        CO2M5864(K) = CO21D(K,5)
c        C2DM5864(K) = CO21D(K,6)
c   40 CONTINUE
c      DO 45 J=1,LP1
c       DO 45 I=1,LP1
c       CDT5164(I,J) = CO22D(I,J,1)
c        CO25164(I,J) = CO22D(I,J,2)
c        C2D5164(I,J) = CO22D(I,J,3)
c        CDT5864(I,J) = CO22D(I,J,4)
c        CO25864(I,J) = CO22D(I,J,5)
c        C2D5864(I,J) = CO22D(I,J,6)
c   45 CONTINUE
c      DO 50 K=1,LP1
c        CDT3164(K) = CO21D3(K,1)
c        CO23164(K) = CO21D3(K,2)
c        C2D3164(K) = CO21D3(K,3)
c        CDT3864(K) = CO21D3(K,4)
c        CO23864(K) = CO21D3(K,5)
c        C2D3864(K) = CO21D3(K,6)
c   50 CONTINUE
c      DO 55 K=1,LP1
c        CDT7164(K) = CO21D7(K,1)
c        CO27164(K) = CO21D7(K,2)
c        C2D7164(K) = CO21D7(K,3)
c        CDT7864(K) = CO21D7(K,4)
c        CO27864(K) = CO21D7(K,5)
c        C2D7864(K) = CO21D7(K,6)
c   55 CONTINUE    
     


C##### Interpolando ano 2020: Interpolacao passa a ser entre o 1co2 e 2co2 
      co2x1Fac=0.75
      co2x2Fac=0.25
      DO K=1,LP1
       STEMPRES(k)=STEMP66(k)*co2x1Fac+STEMP65(k)*co2x2Fac
       GTEMPRES(K)=GTEMP66(k)*co2x1Fac+GTEMP65(k)*co2x2Fac
      END DO
      DO  K=1,LP1
       SGTMPRES(K,1) = STEMPRES(k) 
       SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
       CDTM51RES(K)=CDTM5166(k)*co2x1Fac+CDTM5165(k)*co2x2Fac
       CO2M51RES(K)=CO2M5166(k)*co2x1Fac+CO2M5165(k)*co2x2Fac
       C2DM51RES(K)=C2DM5166(k)*co2x1Fac+C2DM5165(k)*co2x2Fac
       CDTM58RES(K)=CDTM5866(k)*co2x1Fac+CDTM5865(k)*co2x2Fac
       CO2M58RES(K)=CO2M5866(k)*co2x1Fac+CO2M5865(k)*co2x2Fac
       C2DM58RES(K)=C2DM5866(k)*co2x1Fac+C2DM5865(k)*co2x2Fac
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT5166(I,J)*co2x1Fac+CDT5165(I,J)*co2x2Fac
        CO251RES(I,J)=CO25166(I,J)*co2x1Fac+CO25165(I,J)*co2x2Fac
        C2D51RES(I,J)=C2D5166(I,J)*co2x1Fac+C2D5165(I,J)*co2x2Fac
        CDT58RES(I,J)=CDT5866(I,J)*co2x1Fac+CDT5865(I,J)*co2x2Fac
        CO258RES(I,J)=CO25866(I,J)*co2x1Fac+CO25865(I,J)*co2x2Fac
        C2D58RES(I,J)=C2D5866(I,J)*co2x1Fac+C2D5865(I,J)*co2x2Fac
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
       END DO
      END DO
      DO  KK=1,6
       N=0
       DO  I1=1,LP1
        DO  I2=1,LP1
         N=N+1
         DATA2RES(N)=CO22DRES(I1,I2,KK)
        END DO
       END DO
      END DO
      DO K=1,LP1
       CDT31RES(k)=CDT3166(k)*co2x1Fac+CDT3165(k)*co2x2Fac
       CO231RES(K)=CO23166(k)*co2x1Fac+CO23165(k)*co2x2Fac
       C2D31RES(k)=C2D3166(k)*co2x1Fac+C2D3165(k)*co2x2Fac
       CDT38RES(K)=CDT3866(k)*co2x1Fac+CDT3865(k)*co2x2Fac
       CO238RES(k)=CO23866(k)*co2x1Fac+CO23865(k)*co2x2Fac
       C2D38RES(K)=C2D3866(k)*co2x1Fac+C2D3865(k)*co2x2Fac
       CDT71RES(k)=CDT7166(k)*co2x1Fac+CDT7165(k)*co2x2Fac
       CO271RES(K)=CO27166(k)*co2x1Fac+CO27165(k)*co2x2Fac
       C2D71RES(k)=C2D7166(k)*co2x1Fac+C2D7165(k)*co2x2Fac
       CDT78RES(K)=CDT7866(k)*co2x1Fac+CDT7865(k)*co2x2Fac
       CO278RES(k)=CO27866(k)*co2x1Fac+CO27865(k)*co2x2Fac
       C2D78RES(K)=C2D7866(k)*co2x1Fac+C2D7865(k)*co2x2Fac
      END DO
      DO K=1,LP1
       CO21D3RES(K,1) = CDT31RES(K)
       CO21D3RES(K,2) = CO231RES(K)
       CO21D3RES(K,3) = C2D31RES(K)
       CO21D3RES(K,4) = CDT38RES(K)
       CO21D3RES(K,5) = CO238RES(K)
       CO21D3RES(K,6) = C2D38RES(K)
       CO21D7RES(K,1) = CDT71RES(K)
       CO21D7RES(K,2) = CO271RES(K)
       CO21D7RES(K,3) = C2D71RES(K)
       CO21D7RES(K,4) = CDT78RES(K)
       CO21D7RES(K,5) = CO278RES(K)
       CO21D7RES(K,6) = C2D78RES(K)
      END DO
     
C      RSIZE = RSZE(1)
C      DO KK=1,2
C       KKREC1=KK
C       WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
C      END DO
C      RSIZE = RSZE(2)
C      DO  KK=1,6
C       KKREC2=KK
C       WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
C      END DO
C      RSIZE = RSZE(3)
C      DO  KK=1,6
C       KKREC3=KK
C       WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
C      END DO
C      RSIZE = RSZE(1)
C      DO  KK=1,6
C       KKREC4=KK
C       WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
C      END DO
C      DO KK=1,6
C       KKREC5=KK
C       WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
C      END DO


C     WRITE IN INTERPOLATED CO2 TRANSMISSION DATA...
      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 111 KK=1,2
      WRITE(71)(SGTMPRES(I,KK),I=1,RSIZE)
  111 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 116 KK=1,6
      WRITE(71)(CO21DRES(I,KK),I=1,RSIZE)
     
  116 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 121 KK=1,6
      WRITE(71)(DATA2RES(I),I=1,RSIZE)


  121 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 126 KK=1,6
      WRITE(71)(CO21D3RES(I,KK),I=1,RSIZE)
     
  126 CONTINUE
C
C-----------------------------------------------------------------
      DO 131 KK=1,6
      WRITE(71)(CO21D7RES(I,KK),I=1,RSIZE)
      
  131 CONTINUE
C
C-----------------------------------------------------------------



      STOP
      END
