      program read_co2
      PARAMETER (L=38,LP1=L+1,LP2=LP1*LP1)
      DIMENSION SGTMP(LP1,2),CO21D(L,6),CO22D(LP1,LP1,6)
      DIMENSION CO21D3(LP1,6),CO21D7(LP1,6)
      DIMENSION RSZE(3),DATA2(LP2)
      DIMENSION SGTMPRES(LP1,2),CO21DRES(L,6),CO22DRES(LP1,LP1,6)
      DIMENSION CO21D3RES(LP1,6),CO21D7RES(LP1,6)
      DIMENSION DATA2RES(LP2)
      INTEGER   KKREC1,KKREC2,KKREC3,KKREC4,KKREC5

C         CO251    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO258    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT51    =  FIRST TEMPERATURE DERIVATIVE OF CO251
C         CDT58    =  FIRST TEMPERATURE DERIVATIVE OF CO258
C         C2D51    =  SECOND TEMPERATURE DERIVATIVE OF CO251
C         C2D58    =  SECOND TEMPERATURE DERIVATIVE OF CO251
C         CO2M51   =  TRANSMISSION FCTNS FOR T0 FOR ADJACENT PRESSURE
C                        LEVELS, WITH NO PRESSURE QUADRATURE. USED FOR
C                        NEARBY LAYER COMPUTATIONS. P(SFC)=1013.25 MB
C         CO2M58   =  SAME AS CO2M51,WITH P(SFC)= 810 MB
C         CDTM51   =  FIRST TEMPERATURE DERIVATIVE OF CO2M51
C         CDTM58   =  FIRST TEMPERATURE DERIVATIVE OF CO2M58
C         C2DM51   =  SECOND TEMPERATURE DERIVATIVE OF CO2M51
C         C2DM58   =  SECOND TEMPERATURE DERIVATIVE OF CO2M58
C         STEMP    =  STANDARD TEMPERATURES FOR MODEL PRESSURE LEVEL
C                        STRUCTURE WITH P(SFC)=1013.25 MB
C         GTEMP    =  WEIGHTING FUNCTION FOR MODEL PRESSURE LEVEL
C                        STRUCTURE WITH P(SFC)=1013.25 MB.
C-----       THE FOLLOWING ARE STILL IN BLOCK DATA
C         B0       =  TEMP. COEFFICIENT USED FOR CO2 TRANS. FCTN.
C                        CORRECTION FOR T(K). (SEE REF. 4 AND BD3)
C         B1       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C         B2       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C         B3       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C
      COMMON/CO2BD3/CO251(LP1,LP1),CO258(LP1,LP1),CDT51(LP1,LP1),
     1 CDT58(LP1,LP1),C2D51(LP1,LP1),C2D58(LP1,LP1),CO2M51(L),
     2 CO2M58(L),CDTM51(L),CDTM58(L),C2DM51(L),C2DM58(L),
     3 STEMP(LP1),GTEMP(LP1)
     
      COMMON/CO2BD365/CO25165(LP1,LP1),CO25865(LP1,LP1),
     1 CDT5165(LP1,LP1),CDT5865(LP1,LP1),C2D5165(LP1,LP1),
     2 C2D5865(LP1,LP1),CO2M5165(L),CO2M5865(L),CDTM5165(L),CDTM5865(L),
     3 C2DM5165(L),C2DM5865(L),STEMP65(LP1),GTEMP65(LP1)
     
      COMMON/CO2BD364/CO25164(LP1,LP1),CO25864(LP1,LP1),
     1 CDT5164(LP1,LP1),CDT5864(LP1,LP1),C2D5164(LP1,LP1),
     2 C2D5864(LP1,LP1),CO2M5164(L),CO2M5864(L),CDTM5164(L),CDTM5864(L),
     3 C2DM5164(L),C2DM5864(L),STEMP64(LP1),GTEMP64(LP1)
      
      COMMON/CO2BD3RES/CO251RES(LP1,LP1),CO258RES(LP1,LP1),
     1 CDT51RES(LP1,LP1),CDT58RES(LP1,LP1),C2D51RES(LP1,LP1),
     2 C2D58RES(LP1,LP1),CO2M51RES(L),CO2M58RES(L),CDTM51RES(L),
     3 CDTM58RES(L),C2DM51RES(L),C2DM58RES(L),STEMPRES(LP1),
     4 GTEMPRES(LP1)     
    
C
C***COMMON CO2BD2 CONTAINS CO2 TRANSMISSION FUNCTIONS AND TEMPERATURE
C   AND PRESSURE DERIVATIVES FOR THE 560-670 CM-1 PART OF THE 15 UM
C   CO2 BAND.  THESE DATA ARE IN BLOCK DATA BD2.
C     FOR THE 560-670 CM-1 BAND,ONLY THE (1,I) VALUES ARE USED , SINCE
C     THESE ARE USED FOR CTS COMPUTATIONS.
C         CO231    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO238    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT31    =  FIRST TEMPERATURE DERIVATIVE OF CO231
C         CDT38    =  FIRST TEMPERATURE DERIVATIVE OF CO238
C         C2D31    =  SECOND TEMPERATURE DERIVATIVE OF CO231
C         C2D38    =  SECOND TEMPERATURE DERIVATIVE OF CO231
C
      COMMON / CO2BD2 / CO231(LP1),CO238(LP1),CDT31(LP1),
     1 CDT38(LP1),C2D31(LP1),C2D38(LP1)
     
      COMMON / CO2BD265 / CO23165(LP1),CO23865(LP1),CDT3165(LP1),
     1 CDT3865(LP1),C2D3165(LP1),C2D3865(LP1)
     
      COMMON / CO2BD264 / CO23164(LP1),CO23864(LP1),CDT3164(LP1),
     1 CDT3864(LP1),C2D3164(LP1),C2D3864(LP1)
     
      COMMON / CO2BD2RES / CO231RES(LP1),CO238RES(LP1),CDT31RES(LP1),
     1 CDT38RES(LP1),C2D31RES(LP1),C2D38RES(LP1)
C
C***COMMON CO2BD4 CONTAINS CO2 TRANSMISSION FUNCTIONS AND TEMPERATURE
C   AND PRESSURE DERIVATIVES FOR THE 670-800 CM-1 PART OF THE 15 UM
C   CO2 BAND.  THESE DATA ARE IN BLOCK DATA BD4.
C         CO271    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO278    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT71    =  FIRST TEMPERATURE DERIVATIVE OF CO271
C         CDT78    =  FIRST TEMPERATURE DERIVATIVE OF CO278
C         C2D71    =  SECOND TEMPERATURE DERIVATIVE OF CO271
C         C2D78    =  SECOND TEMPERATURE DERIVATIVE OF CO271
C
      COMMON / CO2BD4 / CO271(LP1),CO278(LP1),CDT71(LP1),
     1 CDT78(LP1),C2D71(LP1),C2D78(LP1)
     
      COMMON / CO2BD465 / CO27165(LP1),CO27865(LP1),CDT7165(LP1),
     1 CDT7865(LP1),C2D7165(LP1),C2D7865(LP1)
     
      COMMON / CO2BD464 / CO27164(LP1),CO27864(LP1),CDT7164(LP1),
     1 CDT7864(LP1),C2D7164(LP1),C2D7864(LP1)     
     
      COMMON / CO2BD4RES / CO271RES(LP1),CO278RES(LP1),CDT71RES(LP1),
     1 CDT78RES(LP1),C2D71RES(LP1),C2D78RES(LP1)
     
C
C *****THE FOLLOWING NOT USED IN CURRENT VERSION OF RADIATION *******
C
C --COMMON CO2BD5 CONTAINS CO2 TRANSMISSION FUNCTIONS FOR THE 2270-
C                                  2380 PART OF THE 4.3 UM CO2 BAND.
C              THESE DATA ARE IN BLOCK DATA BD5.
C         CO211    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                        WITH P(SFC)=1013.25 MB
C         CO218    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C
      COMMON / CO2BD5 / CO211(LP1),CO218(LP1)
      
      COMMON / CO2BD565 / CO21165(LP1),CO21865(LP1)
      
      COMMON / CO2BD565 / CO21164(LP1),CO21864(LP1)
      
C
C ***** THE ABOVE NOT USED IN CURRENT VERSION OF RADIATION ***********
C
C====>   BEGIN HERE TO GET CONSTANTS FOR RADIATION PACKAGE

Cexpl
c	open(unit=66,form='unformatted')
c	open(unit=65,form='unformatted')
c	open(unit=64,form='unformatted')
C fort.66 1CO2
C fort.65 2CO2	
C fort.64 4CO2	
	OPEN(UNIT=71,FILE='co2_SGTMP_2030_2041_rcp85.bin',
     1	status='unknown',access='direct',RECL=LP1*4)
        OPEN(UNIT=72,FILE='co2_CO21D_2030_2041_rcp85.bin',
     1  status='unknown',access='direct',RECL=L*4)
        OPEN(UNIT=73,FILE='co2_DATA_2030_2041_rcp85.bin',
     1  status='unknown',access='direct',RECL=LP2*4)
        OPEN(UNIT=74,FILE='co2_CO21D3_2030_2041_rcp85.bin',
     1  status='unknown',access='direct',RECL=LP1*4)
        OPEN(UNIT=75,FILE='co2_CO21D7_2030_2041_rcp85.bin',
     1  status='unknown',access='direct',RECL=LP1*4)
  
Cexpl

C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..1CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 11 KK=1,2
      READ(66)(SGTMP(I,KK),I=1,RSIZE)
   11 CONTINUE

C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 16 KK=1,6
      READ(66)(CO21D(I,KK),I=1,RSIZE)
     
   16 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 21 KK=1,6
      READ(66)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5674 I1=1,LP1
      DO 5674 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5674 CONTINUE
   21 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 26 KK=1,6
      READ(66)(CO21D3(I,KK),I=1,RSIZE)
     
   26 CONTINUE
C
C-----------------------------------------------------------------
      DO 31 KK=1,6
      READ(66)(CO21D7(I,KK),I=1,RSIZE)
      
   31 CONTINUE
C
C-----------------------------------------------------------------

      DO 36 K=1,LP1
        STEMP(K) = SGTMP(K,1)
        GTEMP(K) = SGTMP(K,2)
   36 CONTINUE
      DO 41 K=1,L
        CDTM51(K) = CO21D(K,1)
        CO2M51(K) = CO21D(K,2)
        C2DM51(K) = CO21D(K,3)
        CDTM58(K) = CO21D(K,4)
        CO2M58(K) = CO21D(K,5)
        C2DM58(K) = CO21D(K,6)
   41 CONTINUE
      DO 46 J=1,LP1
       DO 46 I=1,LP1
        CDT51(I,J) = CO22D(I,J,1)
        CO251(I,J) = CO22D(I,J,2)
        C2D51(I,J) = CO22D(I,J,3)
        CDT58(I,J) = CO22D(I,J,4)
        CO258(I,J) = CO22D(I,J,5)
        C2D58(I,J) = CO22D(I,J,6)
   46 CONTINUE
      DO 51 K=1,LP1
        CDT31(K) = CO21D3(K,1)
        CO231(K) = CO21D3(K,2)
        C2D31(K) = CO21D3(K,3)
        CDT38(K) = CO21D3(K,4)
        CO238(K) = CO21D3(K,5)
        C2D38(K) = CO21D3(K,6)
   51 CONTINUE
      DO 56 K=1,LP1
        CDT71(K) = CO21D7(K,1)
        CO271(K) = CO21D7(K,2)
        C2D71(K) = CO21D7(K,3)
        CDT78(K) = CO21D7(K,4)
        CO278(K) = CO21D7(K,5)
        C2D78(K) = CO21D7(K,6)
   56 CONTINUE	
   
   
C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..2CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 12 KK=1,2
      READ(65)(SGTMP(I,KK),I=1,RSIZE)
      
   12 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 17 KK=1,6
      READ(65)(CO21D(I,KK),I=1,RSIZE)
     
   17 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 22 KK=1,6
      READ(65)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5675 I1=1,LP1
      DO 5675 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5675 CONTINUE
   22 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 27 KK=1,6
      READ(65)(CO21D3(I,KK),I=1,RSIZE)
     
   27 CONTINUE
C
C-----------------------------------------------------------------
      DO 32 KK=1,6
      READ(65)(CO21D7(I,KK),I=1,RSIZE)
      
   32 CONTINUE
C
C-----------------------------------------------------------------

      DO 37 K=1,LP1
        STEMP65(K) = SGTMP(K,1)
        GTEMP65(K) = SGTMP(K,2)
   37 CONTINUE
      DO 42 K=1,L
        CDTM5165(K) = CO21D(K,1)
        CO2M5165(K) = CO21D(K,2)
        C2DM5165(K) = CO21D(K,3)
        CDTM5865(K) = CO21D(K,4)
        CO2M5865(K) = CO21D(K,5)
        C2DM5865(K) = CO21D(K,6)
   42 CONTINUE
      DO 47 J=1,LP1
       DO 47 I=1,LP1
        CDT5165(I,J) = CO22D(I,J,1)
        CO25165(I,J) = CO22D(I,J,2)
        C2D5165(I,J) = CO22D(I,J,3)
        CDT5865(I,J) = CO22D(I,J,4)
        CO25865(I,J) = CO22D(I,J,5)
        C2D5865(I,J) = CO22D(I,J,6)
   47 CONTINUE
      DO 52 K=1,LP1
        CDT3165(K) = CO21D3(K,1)
        CO23165(K) = CO21D3(K,2)
        C2D3165(K) = CO21D3(K,3)
        CDT3865(K) = CO21D3(K,4)
        CO23865(K) = CO21D3(K,5)
        C2D3865(K) = CO21D3(K,6)
   52 CONTINUE
      DO 57 K=1,LP1
        CDT7165(K) = CO21D7(K,1)
        CO27165(K) = CO21D7(K,2)
        C2D7165(K) = CO21D7(K,3)
        CDT7865(K) = CO21D7(K,4)
        CO27865(K) = CO21D7(K,5)
        C2D7865(K) = CO21D7(K,6)
   57 CONTINUE	    
   
C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..2CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 10 KK=1,2
      READ(64)(SGTMP(I,KK),I=1,RSIZE)
      
   10 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 15 KK=1,6
      READ(64)(CO21D(I,KK),I=1,RSIZE)
     
   15 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 20 KK=1,6
      READ(64)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5673 I1=1,LP1
      DO 5673 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5673 CONTINUE
   20 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 25 KK=1,6
      READ(64)(CO21D3(I,KK),I=1,RSIZE)
     
   25 CONTINUE
C
C-----------------------------------------------------------------
      DO 30 KK=1,6
      READ(64)(CO21D7(I,KK),I=1,RSIZE)
      
   30 CONTINUE
C
C-----------------------------------------------------------------

      DO 35 K=1,LP1
        STEMP64(K) = SGTMP(K,1)
        GTEMP64(K) = SGTMP(K,2)
   35 CONTINUE
      DO 40 K=1,L
        CDTM5164(K) = CO21D(K,1)
        CO2M5164(K) = CO21D(K,2)
        C2DM5164(K) = CO21D(K,3)
        CDTM5864(K) = CO21D(K,4)
        CO2M5864(K) = CO21D(K,5)
        C2DM5864(K) = CO21D(K,6)
   40 CONTINUE
      DO 45 J=1,LP1
       DO 45 I=1,LP1
        CDT5164(I,J) = CO22D(I,J,1)
        CO25164(I,J) = CO22D(I,J,2)
        C2D5164(I,J) = CO22D(I,J,3)
        CDT5864(I,J) = CO22D(I,J,4)
        CO25864(I,J) = CO22D(I,J,5)
        C2D5864(I,J) = CO22D(I,J,6)
   45 CONTINUE
      DO 50 K=1,LP1
        CDT3164(K) = CO21D3(K,1)
        CO23164(K) = CO21D3(K,2)
        C2D3164(K) = CO21D3(K,3)
        CDT3864(K) = CO21D3(K,4)
        CO23864(K) = CO21D3(K,5)
        C2D3864(K) = CO21D3(K,6)
   50 CONTINUE
      DO 55 K=1,LP1
        CDT7164(K) = CO21D7(K,1)
        CO27164(K) = CO21D7(K,2)
        C2D7164(K) = CO21D7(K,3)
        CDT7864(K) = CO21D7(K,4)
        CO27864(K) = CO21D7(K,5)
        C2D7864(K) = CO21D7(K,6)
   55 CONTINUE    
     

C##### Escrevendo ano 2030 
      DO 401 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.55+STEMP65(k)*0.45
      GTEMPRES(K)=GTEMP(k)*0.55+GTEMP65(k)*0.45
  401 CONTINUE	
      DO 421 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  421 CONTINUE 
      DO 402 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.55+CDTM5165(k)*0.45
      CO2M51RES(K)=CO2M51(K)*0.55+CO2M5165(k)*0.45
      C2DM51RES(K)=C2DM51(K)*0.55+C2DM5165(k)*0.45
      CDTM58RES(K)=CDTM58(K)*0.55+CDTM5865(k)*0.45
      CO2M58RES(K)=CO2M58(K)*0.55+CO2M5865(k)*0.45
      C2DM58RES(K)=C2DM58(K)*0.55+C2DM5865(k)*0.45
  402 CONTINUE
      DO 422 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  422 CONTINUE
      DO 403 J=1,LP1
       DO 403 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.55+CDT5165(I,J)*0.45
        CO251RES(I,J)=CO251(I,J)*0.55+CO25165(I,J)*0.45
        C2D51RES(I,J)=C2D51(I,J)*0.55+C2D5165(I,J)*0.45
        CDT58RES(I,J)=CDT58(I,J)*0.55+CDT5865(I,J)*0.45
        CO258RES(I,J)=CO258(I,J)*0.55+CO25865(I,J)*0.45
        C2D58RES(I,J)=C2D58(I,J)*0.55+C2D5865(I,J)*0.45
  403 CONTINUE
      DO 423 J=1,LP1
       DO 423 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  423 CONTINUE
      DO 475 KK=1,6
      N=0
      DO 474 I1=1,LP1
      DO 474 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  474 CONTINUE
  475 CONTINUE
      DO 404 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.55+CDT3165(k)*0.45
      CO231RES(K)=CO231(K)*0.55+CO23165(k)*0.45
      C2D31RES(k)=C2D31(K)*0.55+C2D3165(k)*0.45
      CDT38RES(K)=CDT38(K)*0.55+CDT3865(k)*0.45
      CO238RES(k)=CO238(K)*0.55+CO23865(k)*0.45
      C2D38RES(K)=C2D38(K)*0.55+C2D3865(k)*0.45
      CDT71RES(k)=CDT71(K)*0.55+CDT7165(k)*0.45
      CO271RES(K)=CO271(K)*0.55+CO27165(k)*0.45
      C2D71RES(k)=C2D71(K)*0.55+C2D7165(k)*0.45
      CDT78RES(K)=CDT78(K)*0.55+CDT7865(k)*0.45
      CO278RES(k)=CO278(K)*0.55+CO27865(k)*0.45
      C2D78RES(K)=C2D78(K)*0.55+C2D7865(k)*0.45
  404 CONTINUE
        DO 424 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  424 CONTINUE
      RSIZE = RSZE(1)
      DO 4211 KK=1,2
      KKREC1=KK
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 4211 CONTINUE
      RSIZE = RSZE(2)
      DO 4216 KK=1,6
      KKREC2=KK
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 4216 CONTINUE
      RSIZE = RSZE(3)
      DO 4221 KK=1,6
      KKREC3=KK
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 4221 CONTINUE
      RSIZE = RSZE(1)
      DO 4226 KK=1,6
      KKREC4=KK
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 4226 CONTINUE
      DO 4231 KK=1,6
      KKREC5=KK
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 4231 CONTINUE    
C##### Fim do ano 2030



C##### Escrevendo ano 2033
      DO 501 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.49+STEMP65(k)*0.51
      GTEMPRES(K)=GTEMP(k)*0.49+GTEMP65(k)*0.51
  501 CONTINUE	
      DO 521 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  521 CONTINUE 
      DO 502 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.49+CDTM5165(k)*0.51
      CO2M51RES(K)=CO2M51(K)*0.49+CO2M5165(k)*0.51
      C2DM51RES(K)=C2DM51(K)*0.49+C2DM5165(k)*0.51
      CDTM58RES(K)=CDTM58(K)*0.49+CDTM5865(k)*0.51
      CO2M58RES(K)=CO2M58(K)*0.49+CO2M5865(k)*0.51
      C2DM58RES(K)=C2DM58(K)*0.49+C2DM5865(k)*0.51
  502 CONTINUE
      DO 522 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  522 CONTINUE
      DO 503 J=1,LP1
       DO 503 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.49+CDT5165(I,J)*0.51
        CO251RES(I,J)=CO251(I,J)*0.49+CO25165(I,J)*0.51
        C2D51RES(I,J)=C2D51(I,J)*0.49+C2D5165(I,J)*0.51
        CDT58RES(I,J)=CDT58(I,J)*0.49+CDT5865(I,J)*0.51
        CO258RES(I,J)=CO258(I,J)*0.49+CO25865(I,J)*0.51
        C2D58RES(I,J)=C2D58(I,J)*0.49+C2D5865(I,J)*0.51
  503 CONTINUE
      DO 523 J=1,LP1
       DO 523 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  523 CONTINUE
      DO 575 KK=1,6
      N=0
      DO 574 I1=1,LP1
      DO 574 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  574 CONTINUE
  575 CONTINUE
      DO 504 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.49+CDT3165(k)*0.51
      CO231RES(K)=CO231(K)*0.49+CO23165(k)*0.51
      C2D31RES(k)=C2D31(K)*0.49+C2D3165(k)*0.51
      CDT38RES(K)=CDT38(K)*0.49+CDT3865(k)*0.51
      CO238RES(k)=CO238(K)*0.49+CO23865(k)*0.51
      C2D38RES(K)=C2D38(K)*0.49+C2D3865(k)*0.51
      CDT71RES(k)=CDT71(K)*0.49+CDT7165(k)*0.51
      CO271RES(K)=CO271(K)*0.49+CO27165(k)*0.51
      C2D71RES(k)=C2D71(K)*0.49+C2D7165(k)*0.51
      CDT78RES(K)=CDT78(K)*0.49+CDT7865(k)*0.51
      CO278RES(k)=CO278(K)*0.49+CO27865(k)*0.51
      C2D78RES(K)=C2D78(K)*0.49+C2D7865(k)*0.51
  504 CONTINUE
        DO 524 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  524 CONTINUE
      RSIZE = RSZE(1)
      DO 5211 KK=1,2
      KKREC1=KK+2
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 5211 CONTINUE
      RSIZE = RSZE(2)
      DO 5216 KK=1,6
      KKREC2=KK+6
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 5216 CONTINUE
      RSIZE = RSZE(3)
      DO 5221 KK=1,6
      KKREC3=KK+6
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 5221 CONTINUE
      RSIZE = RSZE(1)
      DO 5226 KK=1,6
      KKREC4=KK+6
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 5226 CONTINUE
      DO 5231 KK=1,6
      KKREC5=KK+6
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 5231 CONTINUE       
C##### Fim do ano 2033
C##### Escrevendo ano 2036
      DO 601 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.43+STEMP65(k)*0.57
      GTEMPRES(K)=GTEMP(k)*0.43+GTEMP65(k)*0.57
  601 CONTINUE	
      DO 621 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  621 CONTINUE 
      DO 602 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.43+CDTM5165(k)*0.57
      CO2M51RES(K)=CO2M51(K)*0.43+CO2M5165(k)*0.57
      C2DM51RES(K)=C2DM51(K)*0.43+C2DM5165(k)*0.57
      CDTM58RES(K)=CDTM58(K)*0.43+CDTM5865(k)*0.57
      CO2M58RES(K)=CO2M58(K)*0.43+CO2M5865(k)*0.57
      C2DM58RES(K)=C2DM58(K)*0.43+C2DM5865(k)*0.57
  602 CONTINUE
      DO 622 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  622 CONTINUE
      DO 603 J=1,LP1
       DO 603 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.43+CDT5165(I,J)*0.57
        CO251RES(I,J)=CO251(I,J)*0.43+CO25165(I,J)*0.57
        C2D51RES(I,J)=C2D51(I,J)*0.43+C2D5165(I,J)*0.57
        CDT58RES(I,J)=CDT58(I,J)*0.43+CDT5865(I,J)*0.57
        CO258RES(I,J)=CO258(I,J)*0.43+CO25865(I,J)*0.57
        C2D58RES(I,J)=C2D58(I,J)*0.43+C2D5865(I,J)*0.57
  603 CONTINUE
      DO 623 J=1,LP1
       DO 623 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  623 CONTINUE
      DO 675 KK=1,6
      N=0
      DO 674 I1=1,LP1
      DO 674 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  674 CONTINUE
  675 CONTINUE
      DO 604 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.43+CDT3165(k)*0.57
      CO231RES(K)=CO231(K)*0.43+CO23165(k)*0.57
      C2D31RES(k)=C2D31(K)*0.43+C2D3165(k)*0.57
      CDT38RES(K)=CDT38(K)*0.43+CDT3865(k)*0.57
      CO238RES(k)=CO238(K)*0.43+CO23865(k)*0.57
      C2D38RES(K)=C2D38(K)*0.43+C2D3865(k)*0.57
      CDT71RES(k)=CDT71(K)*0.43+CDT7165(k)*0.57
      CO271RES(K)=CO271(K)*0.43+CO27165(k)*0.57
      C2D71RES(k)=C2D71(K)*0.43+C2D7165(k)*0.57
      CDT78RES(K)=CDT78(K)*0.43+CDT7865(k)*0.57
      CO278RES(k)=CO278(K)*0.43+CO27865(k)*0.57
      C2D78RES(K)=C2D78(K)*0.43+C2D7865(k)*0.57
  604 CONTINUE 
       DO 624 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  624 CONTINUE      
      RSIZE = RSZE(1)
      DO 6211 KK=1,2
      KKREC1=KK+4
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 6211 CONTINUE
      RSIZE = RSZE(2)
      DO 6216 KK=1,6
      KKREC2=KK+12
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 6216 CONTINUE
      RSIZE = RSZE(3)
      DO 6221 KK=1,6
      KKREC3=KK+12
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 6221 CONTINUE
      RSIZE = RSZE(1)
      DO 6226 KK=1,6
      KKREC4=KK+12
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 6226 CONTINUE
      DO 6231 KK=1,6
      KKREC5=KK+12
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 6231 CONTINUE       
C##### Fim do ano 2036

C##### Escrevendo ano 2039
      DO 701 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.37+STEMP65(k)*0.63
      GTEMPRES(K)=GTEMP(k)*0.37+GTEMP65(k)*0.63
  701 CONTINUE	
      DO 721 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  721 CONTINUE 
      DO 702 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.37+CDTM5165(k)*0.63
      CO2M51RES(K)=CO2M51(K)*0.37+CO2M5165(k)*0.63
      C2DM51RES(K)=C2DM51(K)*0.37+C2DM5165(k)*0.63
      CDTM58RES(K)=CDTM58(K)*0.37+CDTM5865(k)*0.63
      CO2M58RES(K)=CO2M58(K)*0.37+CO2M5865(k)*0.63
      C2DM58RES(K)=C2DM58(K)*0.37+C2DM5865(k)*0.63
  702 CONTINUE
      DO 722 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  722 CONTINUE
      DO 703 J=1,LP1
       DO 703 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.37+CDT5165(I,J)*0.63
        CO251RES(I,J)=CO251(I,J)*0.37+CO25165(I,J)*0.63
        C2D51RES(I,J)=C2D51(I,J)*0.37+C2D5165(I,J)*0.63
        CDT58RES(I,J)=CDT58(I,J)*0.37+CDT5865(I,J)*0.63
        CO258RES(I,J)=CO258(I,J)*0.37+CO25865(I,J)*0.63
        C2D58RES(I,J)=C2D58(I,J)*0.37+C2D5865(I,J)*0.63
  703 CONTINUE
      DO 723 J=1,LP1
       DO 723 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  723 CONTINUE
      DO 775 KK=1,6
      N=0
      DO 774 I1=1,LP1
      DO 774 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  774 CONTINUE
  775 CONTINUE
      DO 704 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.37+CDT3165(k)*0.63
      CO231RES(K)=CO231(K)*0.37+CO23165(k)*0.63
      C2D31RES(k)=C2D31(K)*0.37+C2D3165(k)*0.63
      CDT38RES(K)=CDT38(K)*0.37+CDT3865(k)*0.63
      CO238RES(k)=CO238(K)*0.37+CO23865(k)*0.63
      C2D38RES(K)=C2D38(K)*0.37+C2D3865(k)*0.63
      CDT71RES(k)=CDT71(K)*0.37+CDT7165(k)*0.63
      CO271RES(K)=CO271(K)*0.37+CO27165(k)*0.63
      C2D71RES(k)=C2D71(K)*0.37+C2D7165(k)*0.63
      CDT78RES(K)=CDT78(K)*0.37+CDT7865(k)*0.63
      CO278RES(k)=CO278(K)*0.37+CO27865(k)*0.63
      C2D78RES(K)=C2D78(K)*0.37+C2D7865(k)*0.63
  704 CONTINUE
        DO 724 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  724 CONTINUE 
      RSIZE = RSZE(1)
      DO 7211 KK=1,2
      KKREC1=KK+6
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 7211 CONTINUE
      RSIZE = RSZE(2)
      DO 7216 KK=1,6
      KKREC2=KK+18
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 7216 CONTINUE
      RSIZE = RSZE(3)
      DO 7221 KK=1,6
      KKREC3=KK+18
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 7221 CONTINUE
      RSIZE = RSZE(1)
      DO 7226 KK=1,6
      KKREC4=KK+18
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 7226 CONTINUE
      DO 7231 KK=1,6
      KKREC5=KK+18
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 7231 CONTINUE       
C##### Fim do ano 2039
C##### Escrevendo ano 2041
      DO 801 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.32+STEMP65(k)*0.68
      GTEMPRES(K)=GTEMP(k)*0.32+GTEMP65(k)*0.68
  801 CONTINUE	
      DO 821 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  821 CONTINUE 
      DO 802 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.32+CDTM5165(k)*0.68
      CO2M51RES(K)=CO2M51(K)*0.32+CO2M5165(k)*0.68
      C2DM51RES(K)=C2DM51(K)*0.32+C2DM5165(k)*0.68
      CDTM58RES(K)=CDTM58(K)*0.32+CDTM5865(k)*0.68
      CO2M58RES(K)=CO2M58(K)*0.32+CO2M5865(k)*0.68
      C2DM58RES(K)=C2DM58(K)*0.32+C2DM5865(k)*0.68
  802 CONTINUE
      DO 822 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  822 CONTINUE
      DO 803 J=1,LP1
       DO 803 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.32+CDT5165(I,J)*0.68
        CO251RES(I,J)=CO251(I,J)*0.32+CO25165(I,J)*0.68
        C2D51RES(I,J)=C2D51(I,J)*0.32+C2D5165(I,J)*0.68
        CDT58RES(I,J)=CDT58(I,J)*0.32+CDT5865(I,J)*0.68
        CO258RES(I,J)=CO258(I,J)*0.32+CO25865(I,J)*0.68
        C2D58RES(I,J)=C2D58(I,J)*0.32+C2D5865(I,J)*0.68
  803 CONTINUE
      DO 823 J=1,LP1
       DO 823 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  823 CONTINUE
      DO 875 KK=1,6
      N=0
      DO 874 I1=1,LP1
      DO 874 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  874 CONTINUE
  875 CONTINUE
      DO 804 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.32+CDT3165(k)*0.68
      CO231RES(K)=CO231(K)*0.32+CO23165(k)*0.68
      C2D31RES(k)=C2D31(K)*0.32+C2D3165(k)*0.68
      CDT38RES(K)=CDT38(K)*0.32+CDT3865(k)*0.68
      CO238RES(k)=CO238(K)*0.32+CO23865(k)*0.68
      C2D38RES(K)=C2D38(K)*0.32+C2D3865(k)*0.68
      CDT71RES(k)=CDT71(K)*0.32+CDT7165(k)*0.68
      CO271RES(K)=CO271(K)*0.32+CO27165(k)*0.68
      C2D71RES(k)=C2D71(K)*0.32+C2D7165(k)*0.68
      CDT78RES(K)=CDT78(K)*0.32+CDT7865(k)*0.68
      CO278RES(k)=CO278(K)*0.32+CO27865(k)*0.68
      C2D78RES(K)=C2D78(K)*0.32+C2D7865(k)*0.68
  804 CONTINUE
        DO 824 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  824 CONTINUE 
      RSIZE = RSZE(1)
      DO 8211 KK=1,2
      KKREC1=KK+8
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 8211 CONTINUE
      RSIZE = RSZE(2)
      DO 8216 KK=1,6
      KKREC2=KK+24
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 8216 CONTINUE
      RSIZE = RSZE(3)
      DO 8221 KK=1,6
      KKREC3=KK+24
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 8221 CONTINUE
      RSIZE = RSZE(1)
      DO 8226 KK=1,6
      KKREC4=KK+24
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 8226 CONTINUE
      DO 8231 KK=1,6
      KKREC5=KK+24
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 8231 CONTINUE       
C##### Fim do ano 2041
C como a rodada vai at 2041010100, nao usara' os proximos valores
C##### Escrevendo ano 2030
      DO 901 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.55+STEMP65(k)*0.45
      GTEMPRES(K)=GTEMP(k)*0.55+GTEMP65(k)*0.45
  901 CONTINUE	
      DO 921 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  921 CONTINUE 
      DO 902 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.55+CDTM5165(k)*0.45
      CO2M51RES(K)=CO2M51(K)*0.55+CO2M5165(k)*0.45
      C2DM51RES(K)=C2DM51(K)*0.55+C2DM5165(k)*0.45
      CDTM58RES(K)=CDTM58(K)*0.55+CDTM5865(k)*0.45
      CO2M58RES(K)=CO2M58(K)*0.55+CO2M5865(k)*0.45
      C2DM58RES(K)=C2DM58(K)*0.55+C2DM5865(k)*0.45
  902 CONTINUE
      DO 922 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  922 CONTINUE
      DO 903 J=1,LP1
       DO 903 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.55+CDT5165(I,J)*0.45
        CO251RES(I,J)=CO251(I,J)*0.55+CO25165(I,J)*0.45
        C2D51RES(I,J)=C2D51(I,J)*0.55+C2D5165(I,J)*0.45
        CDT58RES(I,J)=CDT58(I,J)*0.55+CDT5865(I,J)*0.45
        CO258RES(I,J)=CO258(I,J)*0.55+CO25865(I,J)*0.45
        C2D58RES(I,J)=C2D58(I,J)*0.55+C2D5865(I,J)*0.45
  903 CONTINUE
      DO 923 J=1,LP1
       DO 923 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  923 CONTINUE
      DO 975 KK=1,6
      N=0
      DO 974 I1=1,LP1
      DO 974 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  974 CONTINUE
  975 CONTINUE
      DO 904 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.55+CDT3165(k)*0.45
      CO231RES(K)=CO231(K)*0.55+CO23165(k)*0.45
      C2D31RES(k)=C2D31(K)*0.55+C2D3165(k)*0.45
      CDT38RES(K)=CDT38(K)*0.55+CDT3865(k)*0.45
      CO238RES(k)=CO238(K)*0.55+CO23865(k)*0.45
      C2D38RES(K)=C2D38(K)*0.55+C2D3865(k)*0.45
      CDT71RES(k)=CDT71(K)*0.55+CDT7165(k)*0.45
      CO271RES(K)=CO271(K)*0.55+CO27165(k)*0.45
      C2D71RES(k)=C2D71(K)*0.55+C2D7165(k)*0.45
      CDT78RES(K)=CDT78(K)*0.55+CDT7865(k)*0.45
      CO278RES(k)=CO278(K)*0.55+CO27865(k)*0.45
      C2D78RES(K)=C2D78(K)*0.55+C2D7865(k)*0.45
  904 CONTINUE
        DO 924 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  924 CONTINUE 
      RSIZE = RSZE(1)
      DO 9211 KK=1,2
      KKREC1=KK+10
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 9211 CONTINUE
      RSIZE = RSZE(2)
      DO 9216 KK=1,6
      KKREC2=KK+30
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 9216 CONTINUE
      RSIZE = RSZE(3)
      DO 9221 KK=1,6
      KKREC3=KK+30
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 9221 CONTINUE
      RSIZE = RSZE(1)
      DO 9226 KK=1,6
      KKREC4=KK+30
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 9226 CONTINUE
      DO 9231 KK=1,6
      KKREC5=KK+30
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 9231 CONTINUE       
C##### Fim do ano 2030
C##### Escrevendo ano 2033
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.49+STEMP65(k)*0.51
      GTEMPRES(K)=GTEMP(k)*0.49+GTEMP65(k)*0.51
      END DO
      DO K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO K=1,L
      CDTM51RES(K)=CDTM51(K)*0.49+CDTM5165(k)*0.51
      CO2M51RES(K)=CO2M51(K)*0.49+CO2M5165(k)*0.51
      C2DM51RES(K)=C2DM51(K)*0.49+C2DM5165(k)*0.51
      CDTM58RES(K)=CDTM58(K)*0.49+CDTM5865(k)*0.51
      CO2M58RES(K)=CO2M58(K)*0.49+CO2M5865(k)*0.51
      C2DM58RES(K)=C2DM58(K)*0.49+C2DM5865(k)*0.51
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.49+CDT5165(I,J)*0.51
        CO251RES(I,J)=CO251(I,J)*0.49+CO25165(I,J)*0.51
        C2D51RES(I,J)=C2D51(I,J)*0.49+C2D5165(I,J)*0.51
        CDT58RES(I,J)=CDT58(I,J)*0.49+CDT5865(I,J)*0.51
        CO258RES(I,J)=CO258(I,J)*0.49+CO25865(I,J)*0.51
        C2D58RES(I,J)=C2D58(I,J)*0.49+C2D5865(I,J)*0.51
      END DO
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO KK=1,6
      N=0
      DO I1=1,LP1
      DO I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
  
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.49+CDT3165(k)*0.51
      CO231RES(K)=CO231(K)*0.49+CO23165(k)*0.51
      C2D31RES(k)=C2D31(K)*0.49+C2D3165(k)*0.51
      CDT38RES(K)=CDT38(K)*0.49+CDT3865(k)*0.51
      CO238RES(k)=CO238(K)*0.49+CO23865(k)*0.51
      C2D38RES(K)=C2D38(K)*0.49+C2D3865(k)*0.51
      CDT71RES(k)=CDT71(K)*0.49+CDT7165(k)*0.51
      CO271RES(K)=CO271(K)*0.49+CO27165(k)*0.51
      C2D71RES(k)=C2D71(K)*0.49+C2D7165(k)*0.51
      CDT78RES(K)=CDT78(K)*0.49+CDT7865(k)*0.51
      CO278RES(k)=CO278(K)*0.49+CO27865(k)*0.51
      C2D78RES(K)=C2D78(K)*0.49+C2D7865(k)*0.51
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+12
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO KK=1,6
      KKREC2=KK+36
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO KK=1,6
      KKREC3=KK+36
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,6
      KKREC4=KK+36
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+36
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO     
C##### Fim do ano 2033
C##### Escrevendo ano 2036
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.43+STEMP65(k)*0.57
      GTEMPRES(K)=GTEMP(k)*0.43+GTEMP65(k)*0.57
      END DO
      DO K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO K=1,L
      CDTM51RES(K)=CDTM51(K)*0.43+CDTM5165(k)*0.57
      CO2M51RES(K)=CO2M51(K)*0.43+CO2M5165(k)*0.57
      C2DM51RES(K)=C2DM51(K)*0.43+C2DM5165(k)*0.57
      CDTM58RES(K)=CDTM58(K)*0.43+CDTM5865(k)*0.57
      CO2M58RES(K)=CO2M58(K)*0.43+CO2M5865(k)*0.57
      C2DM58RES(K)=C2DM58(K)*0.43+C2DM5865(k)*0.57
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.43+CDT5165(I,J)*0.57
        CO251RES(I,J)=CO251(I,J)*0.43+CO25165(I,J)*0.57
        C2D51RES(I,J)=C2D51(I,J)*0.43+C2D5165(I,J)*0.57
        CDT58RES(I,J)=CDT58(I,J)*0.43+CDT5865(I,J)*0.57
        CO258RES(I,J)=CO258(I,J)*0.43+CO25865(I,J)*0.57
        C2D58RES(I,J)=C2D58(I,J)*0.43+C2D5865(I,J)*0.57
      END DO
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO KK=1,6
      N=0
      DO I1=1,LP1
      DO I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
  
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.43+CDT3165(k)*0.57
      CO231RES(K)=CO231(K)*0.43+CO23165(k)*0.57
      C2D31RES(k)=C2D31(K)*0.43+C2D3165(k)*0.57
      CDT38RES(K)=CDT38(K)*0.43+CDT3865(k)*0.57
      CO238RES(k)=CO238(K)*0.43+CO23865(k)*0.57
      C2D38RES(K)=C2D38(K)*0.43+C2D3865(k)*0.57
      CDT71RES(k)=CDT71(K)*0.43+CDT7165(k)*0.57
      CO271RES(K)=CO271(K)*0.43+CO27165(k)*0.57
      C2D71RES(k)=C2D71(K)*0.43+C2D7165(k)*0.57
      CDT78RES(K)=CDT78(K)*0.43+CDT7865(k)*0.57
      CO278RES(k)=CO278(K)*0.43+CO27865(k)*0.57
      C2D78RES(K)=C2D78(K)*0.43+C2D7865(k)*0.57
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+14
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO KK=1,6
      KKREC2=KK+42
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO KK=1,6
      KKREC3=KK+42
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,6
      KKREC4=KK+42
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+42
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO     
C##### Fim do ano 2036
C##### Escrevendo ano 2039
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.37+STEMP65(k)*0.63
      GTEMPRES(K)=GTEMP(k)*0.37+GTEMP65(k)*0.63
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.37+CDTM5165(k)*0.63
      CO2M51RES(K)=CO2M51(K)*0.37+CO2M5165(k)*0.63
      C2DM51RES(K)=C2DM51(K)*0.37+C2DM5165(k)*0.63
      CDTM58RES(K)=CDTM58(K)*0.37+CDTM5865(k)*0.63
      CO2M58RES(K)=CO2M58(K)*0.37+CO2M5865(k)*0.63
      C2DM58RES(K)=C2DM58(K)*0.37+C2DM5865(k)*0.63
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.37+CDT5165(I,J)*0.63
        CO251RES(I,J)=CO251(I,J)*0.37+CO25165(I,J)*0.63
        C2D51RES(I,J)=C2D51(I,J)*0.37+C2D5165(I,J)*0.63
        CDT58RES(I,J)=CDT58(I,J)*0.37+CDT5865(I,J)*0.63
        CO258RES(I,J)=CO258(I,J)*0.37+CO25865(I,J)*0.63
        C2D58RES(I,J)=C2D58(I,J)*0.37+C2D5865(I,J)*0.63
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.37+CDT3165(k)*0.63
      CO231RES(K)=CO231(K)*0.37+CO23165(k)*0.63
      C2D31RES(k)=C2D31(K)*0.37+C2D3165(k)*0.63
      CDT38RES(K)=CDT38(K)*0.37+CDT3865(k)*0.63
      CO238RES(k)=CO238(K)*0.37+CO23865(k)*0.63
      C2D38RES(K)=C2D38(K)*0.37+C2D3865(k)*0.63
      CDT71RES(k)=CDT71(K)*0.37+CDT7165(k)*0.63
      CO271RES(K)=CO271(K)*0.37+CO27165(k)*0.63
      C2D71RES(k)=C2D71(K)*0.37+C2D7165(k)*0.63
      CDT78RES(K)=CDT78(K)*0.37+CDT7865(k)*0.63
      CO278RES(k)=CO278(K)*0.37+CO27865(k)*0.63
      C2D78RES(K)=C2D78(K)*0.37+C2D7865(k)*0.63
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+16
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+48
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+48
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+48
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+48
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 2039
C##### Escrevendo ano 2041
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.32+STEMP65(k)*0.68
      GTEMPRES(K)=GTEMP(k)*0.32+GTEMP65(k)*0.68
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.32+CDTM5165(k)*0.68
      CO2M51RES(K)=CO2M51(K)*0.32+CO2M5165(k)*0.68
      C2DM51RES(K)=C2DM51(K)*0.32+C2DM5165(k)*0.68
      CDTM58RES(K)=CDTM58(K)*0.32+CDTM5865(k)*0.68
      CO2M58RES(K)=CO2M58(K)*0.32+CO2M5865(k)*0.68
      C2DM58RES(K)=C2DM58(K)*0.32+C2DM5865(k)*0.68
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.32+CDT5165(I,J)*0.68
        CO251RES(I,J)=CO251(I,J)*0.32+CO25165(I,J)*0.68
        C2D51RES(I,J)=C2D51(I,J)*0.32+C2D5165(I,J)*0.68
        CDT58RES(I,J)=CDT58(I,J)*0.32+CDT5865(I,J)*0.68
        CO258RES(I,J)=CO258(I,J)*0.32+CO25865(I,J)*0.68
        C2D58RES(I,J)=C2D58(I,J)*0.32+C2D5865(I,J)*0.68
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.32+CDT3165(k)*0.68
      CO231RES(K)=CO231(K)*0.32+CO23165(k)*0.68
      C2D31RES(k)=C2D31(K)*0.32+C2D3165(k)*0.68
      CDT38RES(K)=CDT38(K)*0.32+CDT3865(k)*0.68
      CO238RES(k)=CO238(K)*0.32+CO23865(k)*0.68
      C2D38RES(K)=C2D38(K)*0.32+C2D3865(k)*0.68
      CDT71RES(k)=CDT71(K)*0.32+CDT7165(k)*0.68
      CO271RES(K)=CO271(K)*0.32+CO27165(k)*0.68
      C2D71RES(k)=C2D71(K)*0.32+C2D7165(k)*0.68
      CDT78RES(K)=CDT78(K)*0.32+CDT7865(k)*0.68
      CO278RES(k)=CO278(K)*0.32+CO27865(k)*0.68
      C2D78RES(K)=C2D78(K)*0.32+C2D7865(k)*0.68
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+18
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+54
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+54
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+54
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+54
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 2041
    
      STOP
      END
