      program read_co2
      PARAMETER (L=38,LP1=L+1,LP2=LP1*LP1)
      DIMENSION SGTMP(LP1,2),CO21D(L,6),CO22D(LP1,LP1,6)
      DIMENSION CO21D3(LP1,6),CO21D7(LP1,6)
      DIMENSION RSZE(3),DATA2(LP2)
      DIMENSION SGTMPRES(LP1,2),CO21DRES(L,6),CO22DRES(LP1,LP1,6)
      DIMENSION CO21D3RES(LP1,6),CO21D7RES(LP1,6)
      DIMENSION DATA2RES(LP2)
      INTEGER   KKREC1,KKREC2,KKREC3,KKREC4,KKREC5

C         CO251    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO258    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT51    =  FIRST TEMPERATURE DERIVATIVE OF CO251
C         CDT58    =  FIRST TEMPERATURE DERIVATIVE OF CO258
C         C2D51    =  SECOND TEMPERATURE DERIVATIVE OF CO251
C         C2D58    =  SECOND TEMPERATURE DERIVATIVE OF CO251
C         CO2M51   =  TRANSMISSION FCTNS FOR T0 FOR ADJACENT PRESSURE
C                        LEVELS, WITH NO PRESSURE QUADRATURE. USED FOR
C                        NEARBY LAYER COMPUTATIONS. P(SFC)=1013.25 MB
C         CO2M58   =  SAME AS CO2M51,WITH P(SFC)= 810 MB
C         CDTM51   =  FIRST TEMPERATURE DERIVATIVE OF CO2M51
C         CDTM58   =  FIRST TEMPERATURE DERIVATIVE OF CO2M58
C         C2DM51   =  SECOND TEMPERATURE DERIVATIVE OF CO2M51
C         C2DM58   =  SECOND TEMPERATURE DERIVATIVE OF CO2M58
C         STEMP    =  STANDARD TEMPERATURES FOR MODEL PRESSURE LEVEL
C                        STRUCTURE WITH P(SFC)=1013.25 MB
C         GTEMP    =  WEIGHTING FUNCTION FOR MODEL PRESSURE LEVEL
C                        STRUCTURE WITH P(SFC)=1013.25 MB.
C-----       THE FOLLOWING ARE STILL IN BLOCK DATA
C         B0       =  TEMP. COEFFICIENT USED FOR CO2 TRANS. FCTN.
C                        CORRECTION FOR T(K). (SEE REF. 4 AND BD3)
C         B1       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C         B2       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C         B3       =  TEMP. COEFFICIENT, USED ALONG WITH B0
C
      COMMON/CO2BD3/CO251(LP1,LP1),CO258(LP1,LP1),CDT51(LP1,LP1),
     1 CDT58(LP1,LP1),C2D51(LP1,LP1),C2D58(LP1,LP1),CO2M51(L),
     2 CO2M58(L),CDTM51(L),CDTM58(L),C2DM51(L),C2DM58(L),
     3 STEMP(LP1),GTEMP(LP1)
     
      COMMON/CO2BD365/CO25165(LP1,LP1),CO25865(LP1,LP1),
     1 CDT5165(LP1,LP1),CDT5865(LP1,LP1),C2D5165(LP1,LP1),
     2 C2D5865(LP1,LP1),CO2M5165(L),CO2M5865(L),CDTM5165(L),CDTM5865(L),
     3 C2DM5165(L),C2DM5865(L),STEMP65(LP1),GTEMP65(LP1)
     
      COMMON/CO2BD364/CO25164(LP1,LP1),CO25864(LP1,LP1),
     1 CDT5164(LP1,LP1),CDT5864(LP1,LP1),C2D5164(LP1,LP1),
     2 C2D5864(LP1,LP1),CO2M5164(L),CO2M5864(L),CDTM5164(L),CDTM5864(L),
     3 C2DM5164(L),C2DM5864(L),STEMP64(LP1),GTEMP64(LP1)
      
      COMMON/CO2BD3RES/CO251RES(LP1,LP1),CO258RES(LP1,LP1),
     1 CDT51RES(LP1,LP1),CDT58RES(LP1,LP1),C2D51RES(LP1,LP1),
     2 C2D58RES(LP1,LP1),CO2M51RES(L),CO2M58RES(L),CDTM51RES(L),
     3 CDTM58RES(L),C2DM51RES(L),C2DM58RES(L),STEMPRES(LP1),
     4 GTEMPRES(LP1)     
    
C
C***COMMON CO2BD2 CONTAINS CO2 TRANSMISSION FUNCTIONS AND TEMPERATURE
C   AND PRESSURE DERIVATIVES FOR THE 560-670 CM-1 PART OF THE 15 UM
C   CO2 BAND.  THESE DATA ARE IN BLOCK DATA BD2.
C     FOR THE 560-670 CM-1 BAND,ONLY THE (1,I) VALUES ARE USED , SINCE
C     THESE ARE USED FOR CTS COMPUTATIONS.
C         CO231    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO238    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT31    =  FIRST TEMPERATURE DERIVATIVE OF CO231
C         CDT38    =  FIRST TEMPERATURE DERIVATIVE OF CO238
C         C2D31    =  SECOND TEMPERATURE DERIVATIVE OF CO231
C         C2D38    =  SECOND TEMPERATURE DERIVATIVE OF CO231
C
      COMMON / CO2BD2 / CO231(LP1),CO238(LP1),CDT31(LP1),
     1 CDT38(LP1),C2D31(LP1),C2D38(LP1)
     
      COMMON / CO2BD265 / CO23165(LP1),CO23865(LP1),CDT3165(LP1),
     1 CDT3865(LP1),C2D3165(LP1),C2D3865(LP1)
     
      COMMON / CO2BD264 / CO23164(LP1),CO23864(LP1),CDT3164(LP1),
     1 CDT3864(LP1),C2D3164(LP1),C2D3864(LP1)
     
      COMMON / CO2BD2RES / CO231RES(LP1),CO238RES(LP1),CDT31RES(LP1),
     1 CDT38RES(LP1),C2D31RES(LP1),C2D38RES(LP1)
C
C***COMMON CO2BD4 CONTAINS CO2 TRANSMISSION FUNCTIONS AND TEMPERATURE
C   AND PRESSURE DERIVATIVES FOR THE 670-800 CM-1 PART OF THE 15 UM
C   CO2 BAND.  THESE DATA ARE IN BLOCK DATA BD4.
C         CO271    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                       WITH P(SFC)=1013.25 MB
C         CO278    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C         CDT71    =  FIRST TEMPERATURE DERIVATIVE OF CO271
C         CDT78    =  FIRST TEMPERATURE DERIVATIVE OF CO278
C         C2D71    =  SECOND TEMPERATURE DERIVATIVE OF CO271
C         C2D78    =  SECOND TEMPERATURE DERIVATIVE OF CO271
C
      COMMON / CO2BD4 / CO271(LP1),CO278(LP1),CDT71(LP1),
     1 CDT78(LP1),C2D71(LP1),C2D78(LP1)
     
      COMMON / CO2BD465 / CO27165(LP1),CO27865(LP1),CDT7165(LP1),
     1 CDT7865(LP1),C2D7165(LP1),C2D7865(LP1)
     
      COMMON / CO2BD464 / CO27164(LP1),CO27864(LP1),CDT7164(LP1),
     1 CDT7864(LP1),C2D7164(LP1),C2D7864(LP1)     
     
      COMMON / CO2BD4RES / CO271RES(LP1),CO278RES(LP1),CDT71RES(LP1),
     1 CDT78RES(LP1),C2D71RES(LP1),C2D78RES(LP1)
     
C
C *****THE FOLLOWING NOT USED IN CURRENT VERSION OF RADIATION *******
C
C --COMMON CO2BD5 CONTAINS CO2 TRANSMISSION FUNCTIONS FOR THE 2270-
C                                  2380 PART OF THE 4.3 UM CO2 BAND.
C              THESE DATA ARE IN BLOCK DATA BD5.
C         CO211    =  TRANSMISSION FCTNS FOR T0 (STD. PROFILE)
C                        WITH P(SFC)=1013.25 MB
C         CO218    =  TRANSMISSION FCTNS. FOR T0 (STD. PROFILE)
C                       WITH P(SFC)= 810 MB
C
      COMMON / CO2BD5 / CO211(LP1),CO218(LP1)
      
      COMMON / CO2BD565 / CO21165(LP1),CO21865(LP1)
      
      COMMON / CO2BD565 / CO21164(LP1),CO21864(LP1)
      
C
C ***** THE ABOVE NOT USED IN CURRENT VERSION OF RADIATION ***********
C
C====>   BEGIN HERE TO GET CONSTANTS FOR RADIATION PACKAGE

Cexpl
c	open(unit=66,form='unformatted')
c	open(unit=65,form='unformatted')
c	open(unit=64,form='unformatted')
C fort.66 1CO2
C fort.65 2CO2	
C fort.64 4CO2	
	OPEN(UNIT=71,FILE='co2_SGTMP_1983_2005_hist.bin',
     1	status='unknown',access='direct',RECL=LP1*4)
        OPEN(UNIT=72,FILE='co2_CO21D_1983_2005_hist.bin',
     1  status='unknown',access='direct',RECL=L*4)
        OPEN(UNIT=73,FILE='co2_DATA_1983_2005_hist.bin',
     1  status='unknown',access='direct',RECL=LP2*4)
        OPEN(UNIT=74,FILE='co2_CO21D3_1983_2005_hist.bin',
     1  status='unknown',access='direct',RECL=LP1*4)
        OPEN(UNIT=75,FILE='co2_CO21D7_1983_2005_hist.bin',
     1  status='unknown',access='direct',RECL=LP1*4)
  
Cexpl

C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..1CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 11 KK=1,2
      READ(66)(SGTMP(I,KK),I=1,RSIZE)
   11 CONTINUE

C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 16 KK=1,6
      READ(66)(CO21D(I,KK),I=1,RSIZE)
     
   16 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 21 KK=1,6
      READ(66)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5674 I1=1,LP1
      DO 5674 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5674 CONTINUE
   21 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 26 KK=1,6
      READ(66)(CO21D3(I,KK),I=1,RSIZE)
     
   26 CONTINUE
C
C-----------------------------------------------------------------
      DO 31 KK=1,6
      READ(66)(CO21D7(I,KK),I=1,RSIZE)
      
   31 CONTINUE
C
C-----------------------------------------------------------------

      DO 36 K=1,LP1
        STEMP(K) = SGTMP(K,1)
        GTEMP(K) = SGTMP(K,2)
   36 CONTINUE
      DO 41 K=1,L
        CDTM51(K) = CO21D(K,1)
        CO2M51(K) = CO21D(K,2)
        C2DM51(K) = CO21D(K,3)
        CDTM58(K) = CO21D(K,4)
        CO2M58(K) = CO21D(K,5)
        C2DM58(K) = CO21D(K,6)
   41 CONTINUE
      DO 46 J=1,LP1
       DO 46 I=1,LP1
        CDT51(I,J) = CO22D(I,J,1)
        CO251(I,J) = CO22D(I,J,2)
        C2D51(I,J) = CO22D(I,J,3)
        CDT58(I,J) = CO22D(I,J,4)
        CO258(I,J) = CO22D(I,J,5)
        C2D58(I,J) = CO22D(I,J,6)
   46 CONTINUE
      DO 51 K=1,LP1
        CDT31(K) = CO21D3(K,1)
        CO231(K) = CO21D3(K,2)
        C2D31(K) = CO21D3(K,3)
        CDT38(K) = CO21D3(K,4)
        CO238(K) = CO21D3(K,5)
        C2D38(K) = CO21D3(K,6)
   51 CONTINUE
      DO 56 K=1,LP1
        CDT71(K) = CO21D7(K,1)
        CO271(K) = CO21D7(K,2)
        C2D71(K) = CO21D7(K,3)
        CDT78(K) = CO21D7(K,4)
        CO278(K) = CO21D7(K,5)
        C2D78(K) = CO21D7(K,6)
   56 CONTINUE	
   
   
C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..2CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 12 KK=1,2
      READ(65)(SGTMP(I,KK),I=1,RSIZE)
      
   12 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 17 KK=1,6
      READ(65)(CO21D(I,KK),I=1,RSIZE)
     
   17 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 22 KK=1,6
      READ(65)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5675 I1=1,LP1
      DO 5675 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5675 CONTINUE
   22 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 27 KK=1,6
      READ(65)(CO21D3(I,KK),I=1,RSIZE)
     
   27 CONTINUE
C
C-----------------------------------------------------------------
      DO 32 KK=1,6
      READ(65)(CO21D7(I,KK),I=1,RSIZE)
      
   32 CONTINUE
C
C-----------------------------------------------------------------

      DO 37 K=1,LP1
        STEMP65(K) = SGTMP(K,1)
        GTEMP65(K) = SGTMP(K,2)
   37 CONTINUE
      DO 42 K=1,L
        CDTM5165(K) = CO21D(K,1)
        CO2M5165(K) = CO21D(K,2)
        C2DM5165(K) = CO21D(K,3)
        CDTM5865(K) = CO21D(K,4)
        CO2M5865(K) = CO21D(K,5)
        C2DM5865(K) = CO21D(K,6)
   42 CONTINUE
      DO 47 J=1,LP1
       DO 47 I=1,LP1
        CDT5165(I,J) = CO22D(I,J,1)
        CO25165(I,J) = CO22D(I,J,2)
        C2D5165(I,J) = CO22D(I,J,3)
        CDT5865(I,J) = CO22D(I,J,4)
        CO25865(I,J) = CO22D(I,J,5)
        C2D5865(I,J) = CO22D(I,J,6)
   47 CONTINUE
      DO 52 K=1,LP1
        CDT3165(K) = CO21D3(K,1)
        CO23165(K) = CO21D3(K,2)
        C2D3165(K) = CO21D3(K,3)
        CDT3865(K) = CO21D3(K,4)
        CO23865(K) = CO21D3(K,5)
        C2D3865(K) = CO21D3(K,6)
   52 CONTINUE
      DO 57 K=1,LP1
        CDT7165(K) = CO21D7(K,1)
        CO27165(K) = CO21D7(K,2)
        C2D7165(K) = CO21D7(K,3)
        CDT7865(K) = CO21D7(K,4)
        CO27865(K) = CO21D7(K,5)
        C2D7865(K) = CO21D7(K,6)
   57 CONTINUE	    
   
C       READ IN PRE-COMPUTED CO2 TRANSMISSION DATA..2CO2..
C....     AND CONVERT TO CYBER WORDS

      RSZE(1) = LP1
      RSZE(2) = L
      RSZE(3) = LP1*LP1
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 10 KK=1,2
      READ(64)(SGTMP(I,KK),I=1,RSIZE)
      
   10 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(2)
      DO 15 KK=1,6
      READ(64)(CO21D(I,KK),I=1,RSIZE)
     
   15 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(3)
      DO 20 KK=1,6
      READ(64)(DATA2(I),I=1,RSIZE)

C
      N=0
      DO 5673 I1=1,LP1
      DO 5673 I2=1,LP1
      N=N+1
      CO22D(I1,I2,KK)=DATA2(N)
 5673 CONTINUE
   20 CONTINUE
C
C-----------------------------------------------------------------
      RSIZE = RSZE(1)
      DO 25 KK=1,6
      READ(64)(CO21D3(I,KK),I=1,RSIZE)
     
   25 CONTINUE
C
C-----------------------------------------------------------------
      DO 30 KK=1,6
      READ(64)(CO21D7(I,KK),I=1,RSIZE)
      
   30 CONTINUE
C
C-----------------------------------------------------------------

      DO 35 K=1,LP1
        STEMP64(K) = SGTMP(K,1)
        GTEMP64(K) = SGTMP(K,2)
   35 CONTINUE
      DO 40 K=1,L
        CDTM5164(K) = CO21D(K,1)
        CO2M5164(K) = CO21D(K,2)
        C2DM5164(K) = CO21D(K,3)
        CDTM5864(K) = CO21D(K,4)
        CO2M5864(K) = CO21D(K,5)
        C2DM5864(K) = CO21D(K,6)
   40 CONTINUE
      DO 45 J=1,LP1
       DO 45 I=1,LP1
        CDT5164(I,J) = CO22D(I,J,1)
        CO25164(I,J) = CO22D(I,J,2)
        C2D5164(I,J) = CO22D(I,J,3)
        CDT5864(I,J) = CO22D(I,J,4)
        CO25864(I,J) = CO22D(I,J,5)
        C2D5864(I,J) = CO22D(I,J,6)
   45 CONTINUE
      DO 50 K=1,LP1
        CDT3164(K) = CO21D3(K,1)
        CO23164(K) = CO21D3(K,2)
        C2D3164(K) = CO21D3(K,3)
        CDT3864(K) = CO21D3(K,4)
        CO23864(K) = CO21D3(K,5)
        C2D3864(K) = CO21D3(K,6)
   50 CONTINUE
      DO 55 K=1,LP1
        CDT7164(K) = CO21D7(K,1)
        CO27164(K) = CO21D7(K,2)
        C2D7164(K) = CO21D7(K,3)
        CDT7864(K) = CO21D7(K,4)
        CO27864(K) = CO21D7(K,5)
        C2D7864(K) = CO21D7(K,6)
   55 CONTINUE    
     

C##### Escrevendo ano 1984
      DO 901 K=1,LP1
      STEMPRES(k)=STEMP(k)*0.98+STEMP65(k)*0.02
      GTEMPRES(K)=GTEMP(k)*0.98+GTEMP65(k)*0.02
  901 CONTINUE	
      DO 921 K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
  921 CONTINUE 
      DO 902 K=1,L
      CDTM51RES(K)=CDTM51(K)*0.98+CDTM5165(k)*0.02
      CO2M51RES(K)=CO2M51(K)*0.98+CO2M5165(k)*0.02
      C2DM51RES(K)=C2DM51(K)*0.98+C2DM5165(k)*0.02
      CDTM58RES(K)=CDTM58(K)*0.98+CDTM5865(k)*0.02
      CO2M58RES(K)=CO2M58(K)*0.98+CO2M5865(k)*0.02
      C2DM58RES(K)=C2DM58(K)*0.98+C2DM5865(k)*0.02
  902 CONTINUE
      DO 922 K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
  922 CONTINUE
      DO 903 J=1,LP1
       DO 903 I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.98+CDT5165(I,J)*0.02
        CO251RES(I,J)=CO251(I,J)*0.98+CO25165(I,J)*0.02
        C2D51RES(I,J)=C2D51(I,J)*0.98+C2D5165(I,J)*0.02
        CDT58RES(I,J)=CDT58(I,J)*0.98+CDT5865(I,J)*0.02
        CO258RES(I,J)=CO258(I,J)*0.98+CO25865(I,J)*0.02
        C2D58RES(I,J)=C2D58(I,J)*0.98+C2D5865(I,J)*0.02
  903 CONTINUE
      DO 923 J=1,LP1
       DO 923 I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
  923 CONTINUE
      DO 975 KK=1,6
      N=0
      DO 974 I1=1,LP1
      DO 974 I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
  974 CONTINUE
  975 CONTINUE
      DO 904 K=1,LP1
      CDT31RES(k)=CDT31(K)*0.98+CDT3165(k)*0.02
      CO231RES(K)=CO231(K)*0.98+CO23165(k)*0.02
      C2D31RES(k)=C2D31(K)*0.98+C2D3165(k)*0.02
      CDT38RES(K)=CDT38(K)*0.98+CDT3865(k)*0.02
      CO238RES(k)=CO238(K)*0.98+CO23865(k)*0.02
      C2D38RES(K)=C2D38(K)*0.98+C2D3865(k)*0.02
      CDT71RES(k)=CDT71(K)*0.98+CDT7165(k)*0.02
      CO271RES(K)=CO271(K)*0.98+CO27165(k)*0.02
      C2D71RES(k)=C2D71(K)*0.98+C2D7165(k)*0.02
      CDT78RES(K)=CDT78(K)*0.98+CDT7865(k)*0.02
      CO278RES(k)=CO278(K)*0.98+CO27865(k)*0.02
      C2D78RES(K)=C2D78(K)*0.98+C2D7865(k)*0.02
  904 CONTINUE
        DO 924 K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
  924 CONTINUE 
      RSIZE = RSZE(1)
      DO 9211 KK=1,2
      KKREC1=KK
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
 9211 CONTINUE
      RSIZE = RSZE(2)
      DO 9216 KK=1,6
      KKREC2=KK
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
 9216 CONTINUE
      RSIZE = RSZE(3)
      DO 9221 KK=1,6
      KKREC3=KK
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
 9221 CONTINUE
      RSIZE = RSZE(1)
      DO 9226 KK=1,6
      KKREC4=KK
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
 9226 CONTINUE
      DO 9231 KK=1,6
      KKREC5=KK
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
 9231 CONTINUE       
C##### Fim do ano 1984


C##### Escrevendo ano 1987
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.96+STEMP65(k)*0.04
      GTEMPRES(K)=GTEMP(k)*0.96+GTEMP65(k)*0.04
      END DO
      DO K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO K=1,L
      CDTM51RES(K)=CDTM51(K)*0.96+CDTM5165(k)*0.04
      CO2M51RES(K)=CO2M51(K)*0.96+CO2M5165(k)*0.04
      C2DM51RES(K)=C2DM51(K)*0.96+C2DM5165(k)*0.04
      CDTM58RES(K)=CDTM58(K)*0.96+CDTM5865(k)*0.04
      CO2M58RES(K)=CO2M58(K)*0.96+CO2M5865(k)*0.04
      C2DM58RES(K)=C2DM58(K)*0.96+C2DM5865(k)*0.04
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.96+CDT5165(I,J)*0.04
        CO251RES(I,J)=CO251(I,J)*0.96+CO25165(I,J)*0.04
        C2D51RES(I,J)=C2D51(I,J)*0.96+C2D5165(I,J)*0.04
        CDT58RES(I,J)=CDT58(I,J)*0.96+CDT5865(I,J)*0.04
        CO258RES(I,J)=CO258(I,J)*0.96+CO25865(I,J)*0.04
        C2D58RES(I,J)=C2D58(I,J)*0.96+C2D5865(I,J)*0.04
      END DO
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO KK=1,6
      N=0
      DO I1=1,LP1
      DO I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
  
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.96+CDT3165(k)*0.04
      CO231RES(K)=CO231(K)*0.96+CO23165(k)*0.04
      C2D31RES(k)=C2D31(K)*0.96+C2D3165(k)*0.04
      CDT38RES(K)=CDT38(K)*0.96+CDT3865(k)*0.04
      CO238RES(k)=CO238(K)*0.96+CO23865(k)*0.04
      C2D38RES(K)=C2D38(K)*0.96+C2D3865(k)*0.04
      CDT71RES(k)=CDT71(K)*0.96+CDT7165(k)*0.04
      CO271RES(K)=CO271(K)*0.96+CO27165(k)*0.04
      C2D71RES(k)=C2D71(K)*0.96+C2D7165(k)*0.04
      CDT78RES(K)=CDT78(K)*0.96+CDT7865(k)*0.04
      CO278RES(k)=CO278(K)*0.96+CO27865(k)*0.04
      C2D78RES(K)=C2D78(K)*0.96+C2D7865(k)*0.04
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+2
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO KK=1,6
      KKREC2=KK+6
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO KK=1,6
      KKREC3=KK+6
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,6
      KKREC4=KK+6
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+6
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO     
C##### Fim do ano 1987


C##### Escrevendo ano 1990
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.94+STEMP65(k)*0.06
      GTEMPRES(K)=GTEMP(k)*0.94+GTEMP65(k)*0.06
      END DO
      DO K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO K=1,L
      CDTM51RES(K)=CDTM51(K)*0.94+CDTM5165(k)*0.06
      CO2M51RES(K)=CO2M51(K)*0.94+CO2M5165(k)*0.06
      C2DM51RES(K)=C2DM51(K)*0.94+C2DM5165(k)*0.06
      CDTM58RES(K)=CDTM58(K)*0.94+CDTM5865(k)*0.06
      CO2M58RES(K)=CO2M58(K)*0.94+CO2M5865(k)*0.06
      C2DM58RES(K)=C2DM58(K)*0.94+C2DM5865(k)*0.06
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.94+CDT5165(I,J)*0.06
        CO251RES(I,J)=CO251(I,J)*0.94+CO25165(I,J)*0.06
        C2D51RES(I,J)=C2D51(I,J)*0.94+C2D5165(I,J)*0.06
        CDT58RES(I,J)=CDT58(I,J)*0.94+CDT5865(I,J)*0.06
        CO258RES(I,J)=CO258(I,J)*0.94+CO25865(I,J)*0.06
        C2D58RES(I,J)=C2D58(I,J)*0.94+C2D5865(I,J)*0.06
      END DO
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO KK=1,6
      N=0
      DO I1=1,LP1
      DO I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
  
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.94+CDT3165(k)*0.06
      CO231RES(K)=CO231(K)*0.94+CO23165(k)*0.06
      C2D31RES(k)=C2D31(K)*0.94+C2D3165(k)*0.06
      CDT38RES(K)=CDT38(K)*0.94+CDT3865(k)*0.06
      CO238RES(k)=CO238(K)*0.94+CO23865(k)*0.06
      C2D38RES(K)=C2D38(K)*0.94+C2D3865(k)*0.06
      CDT71RES(k)=CDT71(K)*0.94+CDT7165(k)*0.06
      CO271RES(K)=CO271(K)*0.94+CO27165(k)*0.06
      C2D71RES(k)=C2D71(K)*0.94+C2D7165(k)*0.06
      CDT78RES(K)=CDT78(K)*0.94+CDT7865(k)*0.06
      CO278RES(k)=CO278(K)*0.94+CO27865(k)*0.06
      C2D78RES(K)=C2D78(K)*0.94+C2D7865(k)*0.06
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+4
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO KK=1,6
      KKREC2=KK+12
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO KK=1,6
      KKREC3=KK+12
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,6
      KKREC4=KK+12
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+12
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO     
C##### Fim do ano 1990


C##### Escrevendo ano 1993
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.93+STEMP65(k)*0.07
      GTEMPRES(K)=GTEMP(k)*0.93+GTEMP65(k)*0.07
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.93+CDTM5165(k)*0.07
      CO2M51RES(K)=CO2M51(K)*0.93+CO2M5165(k)*0.07
      C2DM51RES(K)=C2DM51(K)*0.93+C2DM5165(k)*0.07
      CDTM58RES(K)=CDTM58(K)*0.93+CDTM5865(k)*0.07
      CO2M58RES(K)=CO2M58(K)*0.93+CO2M5865(k)*0.07
      C2DM58RES(K)=C2DM58(K)*0.93+C2DM5865(k)*0.07
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.93+CDT5165(I,J)*0.07
        CO251RES(I,J)=CO251(I,J)*0.93+CO25165(I,J)*0.07
        C2D51RES(I,J)=C2D51(I,J)*0.93+C2D5165(I,J)*0.07
        CDT58RES(I,J)=CDT58(I,J)*0.93+CDT5865(I,J)*0.07
        CO258RES(I,J)=CO258(I,J)*0.93+CO25865(I,J)*0.07
        C2D58RES(I,J)=C2D58(I,J)*0.93+C2D5865(I,J)*0.07
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.93+CDT3165(k)*0.07
      CO231RES(K)=CO231(K)*0.93+CO23165(k)*0.07
      C2D31RES(k)=C2D31(K)*0.93+C2D3165(k)*0.07
      CDT38RES(K)=CDT38(K)*0.93+CDT3865(k)*0.07
      CO238RES(k)=CO238(K)*0.93+CO23865(k)*0.07
      C2D38RES(K)=C2D38(K)*0.93+C2D3865(k)*0.07
      CDT71RES(k)=CDT71(K)*0.93+CDT7165(k)*0.07
      CO271RES(K)=CO271(K)*0.93+CO27165(k)*0.07
      C2D71RES(k)=C2D71(K)*0.93+C2D7165(k)*0.07
      CDT78RES(K)=CDT78(K)*0.93+CDT7865(k)*0.07
      CO278RES(k)=CO278(K)*0.93+CO27865(k)*0.07
      C2D78RES(K)=C2D78(K)*0.93+C2D7865(k)*0.07
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+6
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+18
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+18
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+18
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+18
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 1993


C##### Escrevendo ano 1996
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.91+STEMP65(k)*0.09
      GTEMPRES(K)=GTEMP(k)*0.91+GTEMP65(k)*0.09
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.91+CDTM5165(k)*0.09
      CO2M51RES(K)=CO2M51(K)*0.91+CO2M5165(k)*0.09
      C2DM51RES(K)=C2DM51(K)*0.91+C2DM5165(k)*0.09
      CDTM58RES(K)=CDTM58(K)*0.91+CDTM5865(k)*0.09
      CO2M58RES(K)=CO2M58(K)*0.91+CO2M5865(k)*0.09
      C2DM58RES(K)=C2DM58(K)*0.91+C2DM5865(k)*0.09
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.91+CDT5165(I,J)*0.09
        CO251RES(I,J)=CO251(I,J)*0.91+CO25165(I,J)*0.09
        C2D51RES(I,J)=C2D51(I,J)*0.91+C2D5165(I,J)*0.09
        CDT58RES(I,J)=CDT58(I,J)*0.91+CDT5865(I,J)*0.09
        CO258RES(I,J)=CO258(I,J)*0.91+CO25865(I,J)*0.09
        C2D58RES(I,J)=C2D58(I,J)*0.91+C2D5865(I,J)*0.09
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.91+CDT3165(k)*0.09
      CO231RES(K)=CO231(K)*0.91+CO23165(k)*0.09
      C2D31RES(k)=C2D31(K)*0.91+C2D3165(k)*0.09
      CDT38RES(K)=CDT38(K)*0.91+CDT3865(k)*0.09
      CO238RES(k)=CO238(K)*0.91+CO23865(k)*0.09
      C2D38RES(K)=C2D38(K)*0.91+C2D3865(k)*0.09
      CDT71RES(k)=CDT71(K)*0.91+CDT7165(k)*0.09
      CO271RES(K)=CO271(K)*0.91+CO27165(k)*0.09
      C2D71RES(k)=C2D71(K)*0.91+C2D7165(k)*0.09
      CDT78RES(K)=CDT78(K)*0.91+CDT7865(k)*0.09
      CO278RES(k)=CO278(K)*0.91+CO27865(k)*0.09
      C2D78RES(K)=C2D78(K)*0.91+C2D7865(k)*0.09
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+8
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+24
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+24
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+24
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+24
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 1996


C##### Escrevendo ano 1999
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.90+STEMP65(k)*0.10
      GTEMPRES(K)=GTEMP(k)*0.90+GTEMP65(k)*0.10
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.90+CDTM5165(k)*0.10
      CO2M51RES(K)=CO2M51(K)*0.90+CO2M5165(k)*0.10
      C2DM51RES(K)=C2DM51(K)*0.90+C2DM5165(k)*0.10
      CDTM58RES(K)=CDTM58(K)*0.90+CDTM5865(k)*0.10
      CO2M58RES(K)=CO2M58(K)*0.90+CO2M5865(k)*0.10
      C2DM58RES(K)=C2DM58(K)*0.90+C2DM5865(k)*0.10
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.90+CDT5165(I,J)*0.10
        CO251RES(I,J)=CO251(I,J)*0.90+CO25165(I,J)*0.10
        C2D51RES(I,J)=C2D51(I,J)*0.90+C2D5165(I,J)*0.10
        CDT58RES(I,J)=CDT58(I,J)*0.90+CDT5865(I,J)*0.10
        CO258RES(I,J)=CO258(I,J)*0.90+CO25865(I,J)*0.10
        C2D58RES(I,J)=C2D58(I,J)*0.90+C2D5865(I,J)*0.10
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.90+CDT3165(k)*0.10
      CO231RES(K)=CO231(K)*0.90+CO23165(k)*0.10
      C2D31RES(k)=C2D31(K)*0.90+C2D3165(k)*0.10
      CDT38RES(K)=CDT38(K)*0.90+CDT3865(k)*0.10
      CO238RES(k)=CO238(K)*0.90+CO23865(k)*0.10
      C2D38RES(K)=C2D38(K)*0.90+C2D3865(k)*0.10
      CDT71RES(k)=CDT71(K)*0.90+CDT7165(k)*0.10
      CO271RES(K)=CO271(K)*0.90+CO27165(k)*0.10
      C2D71RES(k)=C2D71(K)*0.90+C2D7165(k)*0.10
      CDT78RES(K)=CDT78(K)*0.90+CDT7865(k)*0.10
      CO278RES(k)=CO278(K)*0.90+CO27865(k)*0.10
      C2D78RES(K)=C2D78(K)*0.90+C2D7865(k)*0.10
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+10
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+30
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+30
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+30
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+30
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 1999


C##### Escrevendo ano 2002
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.88+STEMP65(k)*0.12
      GTEMPRES(K)=GTEMP(k)*0.88+GTEMP65(k)*0.12
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.88+CDTM5165(k)*0.12
      CO2M51RES(K)=CO2M51(K)*0.88+CO2M5165(k)*0.12
      C2DM51RES(K)=C2DM51(K)*0.88+C2DM5165(k)*0.12
      CDTM58RES(K)=CDTM58(K)*0.88+CDTM5865(k)*0.12
      CO2M58RES(K)=CO2M58(K)*0.88+CO2M5865(k)*0.12
      C2DM58RES(K)=C2DM58(K)*0.88+C2DM5865(k)*0.12
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.88+CDT5165(I,J)*0.12
        CO251RES(I,J)=CO251(I,J)*0.88+CO25165(I,J)*0.12
        C2D51RES(I,J)=C2D51(I,J)*0.88+C2D5165(I,J)*0.12
        CDT58RES(I,J)=CDT58(I,J)*0.88+CDT5865(I,J)*0.12
        CO258RES(I,J)=CO258(I,J)*0.88+CO25865(I,J)*0.12
        C2D58RES(I,J)=C2D58(I,J)*0.88+C2D5865(I,J)*0.12
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.88+CDT3165(k)*0.12
      CO231RES(K)=CO231(K)*0.88+CO23165(k)*0.12
      C2D31RES(k)=C2D31(K)*0.88+C2D3165(k)*0.12
      CDT38RES(K)=CDT38(K)*0.88+CDT3865(k)*0.12
      CO238RES(k)=CO238(K)*0.88+CO23865(k)*0.12
      C2D38RES(K)=C2D38(K)*0.88+C2D3865(k)*0.12
      CDT71RES(k)=CDT71(K)*0.88+CDT7165(k)*0.12
      CO271RES(K)=CO271(K)*0.88+CO27165(k)*0.12
      C2D71RES(k)=C2D71(K)*0.88+C2D7165(k)*0.12
      CDT78RES(K)=CDT78(K)*0.88+CDT7865(k)*0.12
      CO278RES(k)=CO278(K)*0.88+CO27865(k)*0.12
      C2D78RES(K)=C2D78(K)*0.88+C2D7865(k)*0.12
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+12
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+36
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+36
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+36
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+36
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 2002


C##### Escrevendo ano 2005
      DO K=1,LP1
      STEMPRES(k)=STEMP(k)*0.86+STEMP65(k)*0.14
      GTEMPRES(K)=GTEMP(k)*0.86+GTEMP65(k)*0.14
      END DO
      DO  K=1,LP1
      SGTMPRES(K,1) = STEMPRES(k) 
      SGTMPRES(K,2) = GTEMPRES(K) 
      END DO
      DO  K=1,L
      CDTM51RES(K)=CDTM51(K)*0.86+CDTM5165(k)*0.14
      CO2M51RES(K)=CO2M51(K)*0.86+CO2M5165(k)*0.14
      C2DM51RES(K)=C2DM51(K)*0.86+C2DM5165(k)*0.14
      CDTM58RES(K)=CDTM58(K)*0.86+CDTM5865(k)*0.14
      CO2M58RES(K)=CO2M58(K)*0.86+CO2M5865(k)*0.14
      C2DM58RES(K)=C2DM58(K)*0.86+C2DM5865(k)*0.14
      END DO
      DO K=1,L
       CO21DRES(K,1) = CDTM51RES(K)
       CO21DRES(K,2) = CO2M51RES(K)
       CO21DRES(K,3) = C2DM51RES(K)
       CO21DRES(K,4) = CDTM58RES(K)
       CO21DRES(K,5) = CO2M58RES(K)
       CO21DRES(K,6) = C2DM58RES(K)
      END DO
      DO  J=1,LP1
       DO  I=1,LP1
        CDT51RES(I,J)=CDT51(I,J)*0.86+CDT5165(I,J)*0.14
        CO251RES(I,J)=CO251(I,J)*0.86+CO25165(I,J)*0.14
        C2D51RES(I,J)=C2D51(I,J)*0.86+C2D5165(I,J)*0.14
        CDT58RES(I,J)=CDT58(I,J)*0.86+CDT5865(I,J)*0.14
        CO258RES(I,J)=CO258(I,J)*0.86+CO25865(I,J)*0.14
        C2D58RES(I,J)=C2D58(I,J)*0.86+C2D5865(I,J)*0.14
      END DO 
      END DO
      DO  J=1,LP1
       DO I=1,LP1
        CO22DRES(I,J,1) = CDT51RES(I,J)
        CO22DRES(I,J,2) = CO251RES(I,J)
        CO22DRES(I,J,3) = C2D51RES(I,J)
        CO22DRES(I,J,4) = CDT58RES(I,J)
        CO22DRES(I,J,5) = CO258RES(I,J)
        CO22DRES(I,J,6) = C2D58RES(I,J)
      END DO
      END DO
      DO  KK=1,6
      N=0
      DO  I1=1,LP1
      DO  I2=1,LP1
      N=N+1
      DATA2RES(N)=CO22DRES(I1,I2,KK)
      END DO
      END DO
      END DO
      DO K=1,LP1
      CDT31RES(k)=CDT31(K)*0.86+CDT3165(k)*0.14
      CO231RES(K)=CO231(K)*0.86+CO23165(k)*0.14
      C2D31RES(k)=C2D31(K)*0.86+C2D3165(k)*0.14
      CDT38RES(K)=CDT38(K)*0.86+CDT3865(k)*0.14
      CO238RES(k)=CO238(K)*0.86+CO23865(k)*0.14
      C2D38RES(K)=C2D38(K)*0.86+C2D3865(k)*0.14
      CDT71RES(k)=CDT71(K)*0.86+CDT7165(k)*0.14
      CO271RES(K)=CO271(K)*0.86+CO27165(k)*0.14
      C2D71RES(k)=C2D71(K)*0.86+C2D7165(k)*0.14
      CDT78RES(K)=CDT78(K)*0.86+CDT7865(k)*0.14
      CO278RES(k)=CO278(K)*0.86+CO27865(k)*0.14
      C2D78RES(K)=C2D78(K)*0.86+C2D7865(k)*0.14
      END DO
        DO K=1,LP1
        CO21D3RES(K,1) = CDT31RES(K)
        CO21D3RES(K,2) = CO231RES(K)
        CO21D3RES(K,3) = C2D31RES(K)
        CO21D3RES(K,4) = CDT38RES(K)
        CO21D3RES(K,5) = CO238RES(K)
        CO21D3RES(K,6) = C2D38RES(K)
        CO21D7RES(K,1) = CDT71RES(K)
        CO21D7RES(K,2) = CO271RES(K)
        CO21D7RES(K,3) = C2D71RES(K)
        CO21D7RES(K,4) = CDT78RES(K)
        CO21D7RES(K,5) = CO278RES(K)
        CO21D7RES(K,6) = C2D78RES(K)
      END DO
      RSIZE = RSZE(1)
      DO KK=1,2
      KKREC1=KK+14
      WRITE(71,REC=KKREC1)(SGTMPRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(2)
      DO  KK=1,6
      KKREC2=KK+42
      WRITE(72,REC=KKREC2)(CO21DRES(I,KK),I=1,RSIZE)
      END DO
      RSIZE = RSZE(3)
      DO  KK=1,6
      KKREC3=KK+42
      WRITE(73,REC=KKREC3)(DATA2RES(I),I=1,RSIZE)
      END DO
      RSIZE = RSZE(1)
      DO  KK=1,6
      KKREC4=KK+42
      WRITE(74,REC=KKREC4)(CO21D3RES(I,KK),I=1,RSIZE)
      END DO
      DO KK=1,6
      KKREC5=KK+42
      WRITE(75,REC=KKREC5)(CO21D7RES(I,KK),I=1,RSIZE)
      END DO      
C##### Fim do ano 2005    
      STOP
      END
